
loc_bunker_1 = room {
    nam = "Холл первого этажа",
    pic = "gfx/bos/bunker/1/intersect.jpg",
    dsc = [[
    ^
    Вы выходите на перекресток первого этажа Братства Стали.
    Несколько указателей на стенах гласят следующее: ^
    * Левый коридор - "Тренажерный зал, склады" ^
    * Прямо - "Казармы" ^
    * Правый коридор - "Лифт, оружейная"
    ]],
    way = {
        'loc_bunker_1_warehouse',
        'loc_bunker_1_barracks',
        'loc_bunker_1_lift',
    },    
    
};


-- barracks

loc_bunker_1_barracks = room {
    nam = "Казармы",
    pic = "gfx/bos/bunker/1/postmans.jpg",
    dsc = [[
    ^
    Ты предлагаешь пройтись к казармам. Твои друзья 
    предпочитают подождать тебя в коридоре.  ^
    Ты идешь по слабо освещенному коридору. На стенах между
    простыми люминесцентными лампами видны лампы побольше.
    Красные цилиндры в железной сетке. Тревожные лампы.
    Ты думаешь, что если хотя бы просто выстрелить где-нибудь
    в Братстве, через минуту все уже будут на ногах.
    На ногах и в доспехах. На ногах и с оружием... ^
    В конце коридора несколько дверей. За ними слышны голоса
    и обыкновенный шум. Люди ходят, одеваются, убираются...
    видимо, до побудки осталось совсем немного. У дверей,
    как всегда, по охраннику. Эти раслаблены, и иногда
    переговариваются между собой. Говорят что-то о войне
    и о "новом порядке". Может быть, спросить их о чем-нибудь?
    ]],
    obj = {
        obj { nam='', dsc=[[{Заговорить с охранниками} ^]],
              act=code[[ walk (game_bos_bunker_1_talk_postmans) ]] },
    },
    way = {
        'loc_bunker_1',
    }, 
}

game_bos_bunker_1_talk_postmans = room {
    nam = "Казармы",
    pic = "gfx/bos/bunker/1/postmans.jpg",
    dsc = [[
    Ты решаешь заговорить с охранниками:
    ]],
    obj = {
        obj { nam='', dsc=[[{"Простите, парни, где тут найти начальство?"} ^]],
              act=code[[ walk (game_bos_bunker_1_talk_postmans_end) ]] },
        obj { nam='', dsc=[[{"Мужики, где тут сортир?!"} ^]],
              act=code[[ walk (game_bos_bunker_1_talk_postmans_end) ]] },
        obj { nam='', dsc=[[{"Вам тут не надоело стоять?"} ^]],
              act=code[[ walk (game_bos_bunker_1_talk_postmans_end) ]] },
    },    
};


game_bos_bunker_1_talk_postmans_end = room {
    nam = "Казармы",
    pic = "gfx/bos/bunker/1/postmans.jpg",
    dsc = [[
    Как только ты открываешь рот, постовые вытягиваются по струнке и
    поднимают пулеметы. Без вызова, просто поднимают, как им положено
    стоять. На твои повторные вопросы они не реагируют. Черт с ними,
    тупоголовые вояки... Стилс точно из них. Прекрасный кандидат
    на постового.
    ]],
    obj = {
        obj { nam='', dsc=[[{Вернуться в центр этажа.} ^]],  act=code[[ walk (loc_bunker_1) ]] },
    },
};

-- lift

loc_bunker_1_lift = room {
    nam = "Лифт, оружейная",
    pic = "gfx/bos/bunker/1/lift.jpg",
    dsc = [[
    ^
    Вы у лифта. Справа от него - круглая сегментированная дверь.
    Дверь не реагирует на прикосновение, а других способ
    открытия таких дверей не знаешь не ты, ни твои напарники. ^
    - Вход в оружейную закрыт для посторонних, - сообщает тебе
    охранник у двери. ^
    Можно либо пойти в холл первого этажа, либо войти в лифт
    и спуститься на другие этажи.
    ]],
    way = {
        'loc_bunker_1',
        'game_bos_bunker_liftin',
    },    
};

-- warehouse

loc_bunker_1_warehouse = room {
    nam = "Тренажерный зал, склады",
    pic = "gfx/bos/bunker/1/waresector.jpg",
    dsc = [[
    ^
    Немного пройдя по коридору, вы выходите к большому стальному
    столу у стены с несколькими терминалами рядом. За столом
    сидит человек в таком же обмундировании, как было у Стилса.
    Ты замечаешь, что цвет формы этого человека все же не зеленый,
    а скорее фиолетовый. Видимо, вышестоящие посты в Братстве
    имеют другой цвет униформы. Бумажный червяк за столом не
    обращает на вас никакого внимания, он полностью погружен
    в экран монитора. Изредка он отрывается от него, чтобы
    записать какие-то данные в листы на столе. ^
    Справа от человека открытая круглая дверь. Слева - такая
    же дверь, но закрытая. Вдобавок к ней приставлены два
    охранника в доспехах, но без шлемов. Перед собой они
    держат небольшие пулеметы, почему-то выкрашенные
    красной краской. Их лица так же выразительны, как
    выразительна тарелка с картошкой. Они тебе напоминают
    пуританцев, о которых ты читал в книжке по истории.
    Элитные силы день и ночь на посту, вместо того, чтобы
    рубить врагов в зеленый огородный овощ.
    ]],
    obj = {
        obj { nam='', dsc=[[{Поговорить с секретарем.} ^]],  act=code[[ walk (dialog_bunker_1_secretary) ]] },
    },
    way = {
        'loc_bunker_1_door_left',
        'loc_bunker_1_training',
        'loc_bunker_1',
    }, 
};


loc_bunker_1_door_left = room {
    nam = "Дверь слева",
    pic = "gfx/bos/bunker/1/postmans.jpg",
    dsc = [[
    ^
    Ты немного проходишь к двери, как головы обоих охранников
    одновременно поворачиваются к тебе и произносят: ^
    - Вход в эту комнату разрешен только паладинам и ученым.
    Те, кто не является членами Братства не должны появляться
    в этом крыле. ^
    После этого они разворачивают головы обратно и остаются
    в такой же позе, как и до речи. Немного ошарашенный
    такой слаженностью действий охранников, ты отступаешь
    обратно. Эти каменные статуи, ничего не делая, совершенно
    неизъяснимым способом излучают такую уверенность в своих
    силах, что их лучше обходить за версту и даже не дергаться
    против. Здесь что, все охранники такие? Ты вспоминаешь
    выдержку Стилса. Здесь их муштруют по полной программе.
    Пуританцы отдыхают, задрав свои древнеримские ноги
    в сандалиях.
    ]],
    obj = {
        obj { nam='', dsc=[[{Поговорить с секретарем.} ^]],  act=code[[ walk (dialog_bunker_1_secretary) ]] },
    },
    way = {
        'loc_bunker_1_training',
        'loc_bunker_1',
    }, 
};


loc_bunker_1_training = room {
    nam = "Тренажерный зал",
    pic = "gfx/bos/bunker/1/training.jpg",
    dsc = [[
    Ты касаешься двери и та с острым высоким звуком распадается
    на несколько фрагментов, быстро исчезающих в стене. По
    краям загораются несколько слабых лампочек.  ^
    Ты делаешь шаг в темный зал. На потолке начинают зажигаться
    люминесцентные лампы. Сначала они моргают, потом загораются
    ровным светом, после чего приходит черед следующих. Так
    цепной реакцией загораются все лампы. Свет, от которого
    не бывает теней, плавно разливается по вему залу.  ^
    В центре лежат маты, у стен расставлены крупные тренажеры.
    В основном штанги и другие тяжеловесные штуки. Ближе к
    центру стоят велосипедные тренажеры. ^
    В детстве у тебя был один древнейший велосипед "Вайнд".
    Однажды окаменевшее резиновое колесо попало в небольшую
    ямку, велосипед тряхнуло и ржавая рама разломилась на две
    части. От удара о землю прогнулись ещё несколько частей,
    а спицы разлетелись в щепки. Да, велосипед был
    действительно древний... Если бы тебе не повезло в тот
    момент и ты упал на выпирающий остаток рамы, то был бы
    сейчас там, где сейчас лежит сам велосипед. Только на
    несколько метров глубже. ^
    Нуэн прошел в конец зала и начал мыть руки в раковине.
    Пока он шел, в зале гулко отдавались его шаги. Маты не
    могли погасить звук в таком большом помещении. Маккинли
    остался у двери. Таллуса все так и нет, нужно найти его
    самому. Или напрямую обратиться к начальству... Да, лучше
    пожалуй так и сделать. ^
    Ты выходишь из зала.
    ]],
    obj = {
        obj { nam='', dsc=[[{Поговорить с секретарем.} ^]],  act=code[[ walk (dialog_bunker_1_secretary) ]] },
    },
    way = {
        'loc_bunker_1_door_left',
        'loc_bunker_1',
    }, 
};


dialog_bunker_1_secretary = dlg {
    nam = 'Разговор с секретарем',
    pic = "gfx/bos/bunker/1/michael.jpg",
    entered = [[
    Ты отвлекаешь секретаря от работы.  ^
    - Чего вам нужно? - резко говорит тот, - пожалуйста
    побыстрее, у меня много работы. ^
    Вероятно, он так говорит потому, что вы не члены
    Братства. В любом случае, что ему ответить?    
    ]],
    dsc = nil,
    phr = {
        { "Кто вы? Чем вы занимаетесь?", 
            function(s)
                p [[
                - Мое имя Майкл Рабински. Я здесь управляющий складом.
                Раздаю боеприпасы, оружие, амуницию и другие вещи. Если
                вы числитесь в Братстве, то на ваше имя ведется
                подробный список всех вещей, отпущенных вам. У нас
                достаточный запас амуниции, но если не следить за ней
                и не экономить, то потребности превысят производительность.
                Так как вы не числитесь в Братстве, то необходимо
                письменное разрешение начальства на получение чего-либо
                со склада. Большего вам знать не нужно. Что-то ещё?
                Говорите быстрее, не задерживайте меня.
                ]];
            end
        },
        { tag = 'whereami', "Где я? Что здесь есть интересного?", 
            function(s)
                p [[
                - Сейчас вы находитесь на первом этаже. Слева от меня
                тренажерный зал, сейчас там никого нет, потому что ещё
                слишком рано. Справа склад Братства, туда вас не пустят.
                На втором этаже... ^
                Майкл задумывается, а потом поворачивается к монитору.
                На экране возникает предложение ввести пароль.
                ]];
                psub( 'password');
            end
        },
        { tag = 'whereisboss', "Как найти ваше начальство?",
            function(s)
                p [[
                Лучше вам найти Ромбуса или Таллуса... сейчас я напечатаю
                вам карту Братства, там все помечено. ^
                Майкл разворачивается к монитору и нажимает несколько
                клавиш. На мониторе ты замечаешь слово "Введите пароль".
                ]];
                psub( 'password');
            end
        },
        { always = true, "Да так, ничего серьезного. До свидания.",
            function(s)
                p [[
                ^
                - Прошу прощения, мне нужно работать, - Майкл
                отворачивается и возвращается к работе.
                ]];
                back();
            end
        },
        { tag = 'password' },
        { "Наклониться вперед и подсмотреть за Майклом.",
            function(s)
                p [[
                Ты осторожно склоняешься вперед и следишь за руками
                Майкла. Ты никогда не видел клавиатуру, но запоминаешь,
                в какой части тот нажимал клавиши. ^
                Сначала Майкл нажал на клавишу в правой верхней части
                клавиатуры. Затем опустил руку чуть ниже и нажал на две
                клавиши там. Потом снова нажал на первую клавишу, после
                чего два раза щелкнул кнопкой справа. К сожалению, дальше
                не уследил за его действиями, но он ввел ещё по крайней
                мере две буквы. ^
                Майкл нажимает большую кнопку слева и ты резко
                отклоняешься назад. Он достает выползший из небольшого
                устройства лист и протягивает его тебе:  ^
                - Здесь план всех этажей братства. Теперь прошу извинить
                меня, но мне нужно работать.
                ]];
                poff('whereisboss');
                poff('whereami');
                pret(); -- return
            end
        },
        { "Ничего не делать",
            function(s)
                p [[
                Некоторое время Майкл строчит по кнопкам, а потом достает
                выползший из небольшого устройства лист и протягивает его тебе:  ^
                - Здесь план всех этажей братства. Теперь прошу извинить меня,
                но мне нужно работать. ^
                Майкл снова отворачивается к монитору и начинает стучать
                по клавишам.
                ]];
                poff('whereisboss');
                poff('whereami');
                pret(); -- return
            end
        },
    },
        
};


-- TODO: add BoS map to inventory







