-- gfx/killian.jpg
-- gfx/killian_evil.jpg
-- gfx/maccinli.jpg
-- gfx/nyen.jpg
-- [!] gfx/jail_dream.jpg
-- [!] gfx/dugan.jpg
-- [!] gfx/skorback.jpg
-- gfx/junktown_aditum.jpg (talk about Aditum)

global {
    jail_dialog_choice = 0,
    jail_sally_dialog_choice = 0,
}

game_guns_go2jail = room {
    nam = "Здание полиции",
    pic = "gfx/killian_evil.jpg",
    dsc = [[
    - Прекратить! - кулак Киллиана с грохотом врезается в стол! - Что со Стилсом?! ^
    - Он мертв, сэр, - скорбно отвечаешь ты, готовясь к буре. ^
    - Мертв? Мертв?! Да ты хоть понимаешь, ЧТО вы сделали? Или нет? Вы лишили наш
    город шансов на борьбу! Что теперь будет, ты можешь сказать?
    Теперь мы все умрем... ^
    Но следующая фраза Киллиана еще более ужасает тебя. ^
    - А вы трое отправитесь в тюрягу. Забавно, Эндрю? Впервые не ты будешь
    охранять кого-либо, а наоборот. И я еще подумаю, как наказать вас...
    Нет, вы только подумайте: своими собственными руками... ^
    - И ногами, - криво ухмыльнувшись, добавляет Нуэн.  ^
    - Заткнись! - бешено рычит Киллиан, - Своими собственными руками задушить
    последнюю надежду нашего города, обречь его на бесславную гибель под огнем
    мутантов. Ради чего вы это сделали? Думал ли ты о своей Салли,
    когда избивал Джерома? ^
    Его палец останавливается у твоего лица. Он сказал Твоя Салли? Ты чувствуешь,
    что заливаешься краской. Ведь она стоит рядом, в двух шагах и напряженно
    вслушивается в разговор.
    ]],
    obj = {
        obj { nam='', dsc=[[{"Почему вы говорите, "моя Салли"? Между нами все кончено, и вы это прекрасно знаете."} ^]],
              act=code[[ jail_dialog_choice = 1 ; walk (game_guns_jail_dialog_2) ]] },
        obj { nam='', dsc=[[{"Думал ли я о Салли? - нарочито медленно произносишь ты, - Конечно. Я всегда о ней думаю. Я представляю ее в душе..."} ^]],
              act=code[[ jail_dialog_choice = 2 ; walk (game_guns_jail_dialog_2) ]] },
        obj { nam='', dsc=[[{"Думал? Киллиан, неужели вы в самом деле считаете, что когда твой разум застилает кровавая муть, когда сердце бешено колотится..."} ^]],
              act=code[[ jail_dialog_choice = 3 ; walk (game_guns_jail_dialog_2) ]] },
        obj { nam='', dsc=[[{"Я думал о том, что никакой паршивый червяк с непомерными амбициями, будь он хоть офицер Братства, хоть хрен-с-летающей-тарелки, хоть сам Господь Бог, не имеет права..."} ^]],
              act=code[[ jail_dialog_choice = 4 ; walk (game_guns_jail_dialog_3) ]] },
    },
};


game_guns_jail_dialog_2 = room {
    nam = "Здание полиции",
    pic = "gfx/maccinli.jpg",
    dsc = function(s)
    if jail_dialog_choice == 1 then
        p [[
        - Почему вы говорите, "моя Салли"? Между нами все кончено, и вы это прекрасно знаете. ^
        Киллиан недоуменно отвечает. ^
        - Странно, чего же это она так меня сейчас за тебя просила? ^
        Настал черед Салли слегка покраснеть. Йес! Одно очко в твою пользу! ^
        Киллиан: ^
        - Ладно, это не мое дело. Дальше! ^
        ]]
    elseif jail_dialog_choice == 2 then
        p [[
        Как всегда, ты стараешься скрыть смущение за маской показной развязности. ^
        - Думал ли я о Салли? - нарочито медленно произносишь ты, - Конечно.
        Я всегда о ней думаю. Я представляю ее в душе... ^
        - Ну и дурак, - неожиданно весело восклицает Салли. Этот непринужденный
        тон, с которым она произнесла ругательство, выбивает тебя из колеи. ^
        Все смеются. Ничего не остается, кроме как тоже выдавить из себя пару
        кислых улыбок. Наконец Киллиан прерывает смех. ^
        - Хватит! Дальше! ^
        ]]
    elseif jail_dialog_choice == 3 then
        p [[
        На полном серьезе ты отвечаешь тоном Ганнибала Лектера из одной довоенной киношки. ^
        - Думал? Киллиан, неужели вы в самом деле считаете, что когда твой разум 
        застилает кровавая муть, когда сердце бешено колотится, качая по крови
        пряный аромат адреналина, когда в в висках пульсирует только одно
        желание - вцепиться врагу в глотку, ощутить горячую соленую кровь
        на своем языке, почувствовать, как в горло протекает тонкая кровавая
        струйка, температурой расплавленного металла прожигая стенки пищевода...
        Тогда глаза слепо устремляются вперед, стараясь вылезти из своих уютных
        обиталищ, выискивая только одно - уязвимые места врага. Тогда зубы
        оскаливаются, пальцы сгибаются подобно когтям, желая почувствовать жар
        раздираемой плоти... И неужели вы способны были бы думать о чем-либо? ^
        Сказав это, ты мысленно отдуваешься, облизываешь языком пересохшие губы и
        резко клацаешь зубами в направлении Киллиана. Тот отскакивает за кафедру
        с похвальной скоростью. Салли испуганно вскрикивает. Да, ты не один
        интересовался довоенным кинематографом. Даже твои товарищи
        бочком-бочком отодвигаются от тебя. ^
        Нейтральным тоном ты говоришь: ^
        - Да ладно, ребята, я же пошутил. ^
        - Пошутил?! - яростно шипит Салли, - Пошутил?! Да я... ^
        - Что? - удивленно спрашиваешь ты, невинно глядя ей в глаза. ^
        Пока она борется с намерением треснуть тебя стулом по голове,
        в диалог вступает Киллиан. ^
        - Хватит! Дальше, времени совсем нет... ^
        ]]
    end
    p [[
    ... ^
    Киллиан хмурится, сжимая и разжимая кулаки. ^
    - Черт! Ну что вы наделали! Где теперь выход? Что теперь делать? ^
    Неожиданно в разговор вступает Маккинли: ^
    - А по моему, мы поступили совершенно правильно. ^
    - Что?! - рычит Киллиан, - Я не ослышался? Правильно? ^
    - Да, правильно! Иначе бы это было как... Как подачка. ^
    У Эндрю не хватает слов, он умоляюще смотрит на тебя. Ну что ж, ты,
    кажется, понял идею. ^
    - Да, Киллиан. Я знаю о чем он говорит. Он говорит о чести. О которой ты
    вполне мог позабыть. О том, что у Стилса не было права… ^
    - Права на что?! - исступленно кричит Киллиан. - Права спасти Джанктаун?
    Права спасти наши задницы?!
    ]]
    end,
    obj = {
        obj { nam='', dsc=[[{Далее} ^]],   act=code[[ walk (game_jail_dialog_3) ]] },
    },
};


game_guns_jail_dialog_3 = room {
    nam = "Здание полиции",
    pic = "gfx/maccinli.jpg",
    dsc = function(s)
    if jail_dialog_choice == 4 then
        p [[
        - Сказать о чем я думал? - медленно произносишь ты, - Я думал о том,
        что никакой паршивый червяк с непомерными амбициями, будь он хоть
        офицер Братства, хоть хрен-с-летающей-тарелки, хоть сам Господь Бог,
        не имеет права... ^
        - Права на что?! - исступленно кричит Киллиан. - Права спасти
        Джанктаун? Права спасти наши задницы?! ^
        ]]
    end
    p [[
    Ты обрываешь Киллиана, не обращая внимания на его бешеное исказившееся лицо.
    Ситуация готова взорваться вспышкой слепой ярости. Кто-то из вас должен
    удержать ее под контролем. ^
    - Нет! Права обращаться с полицейским Джанктауна, как с куском дерьма! 
    Как с мешком мусора, как с брамином, которого ему поручили довести до
    скотобойни, разрешив потерять его по дороге. Уж лучше умереть, самому
    защищая свой город от врагов, пускай с ржавым ножиком и древним пистолетом,
    чем слизывать дерьмо с чужих бронированных задниц! Если город со мной
    не согласится, значит наша старая Мусорка не достойна никакого спасения!
    С каких это пор Джанктаун прячется за чужие задницы?! Тебе не кажется,
    Киллиан, что за годы твоего управления городом он размяк и превратился
    из крепкого стального орешка в кусок протухшего сала?! ^
    Внезапно ты ощущаешь, как твои ноги плавно отрываются от земли. И лишь
    после этого видишь обратный ход руки Киллиана, сжатой во внушительный
    кулак. После этого голова взрывается беззвучной вспышкой боли,
    подбородок как будто вмят глубоко внутрь... ^
    Ты падаешь наземь, разнеся спиной несколько стульев в щепки.
    Во рту соленый привкус крови. Сплюнув в сторону ярко алую ленту кровавой
    слюны, ты пытаешься приподняться. Когда ты привстаешь, тебя
    снова ведет в сторону. ^
    Грохнувшись во второй раз на остатки стульев, ты отключаешься под
    аккомпанемент крика Салли.
    ]]
    end,
    obj = {
        obj { nam='', dsc=[[{Далее} ^]],   act=code[[ walk (game_guns_jail_4) ]] },
    },
};


game_guns_jail_4 = room {
    nam = "???",
    pic = "gfx/jail_dream.jpg",
    dsc = [[
    Кап. Кап. Кап. ^
    Багровая темнота. Кап. Тупая ноющая боль угнездилась в распухшей челюсти.
    Голова кружится, ничего не видно. Багровая темнота.  ^
    Кап. Кап. Кап. ^
    К разбитому лицу грубо прикасается шершавая мокрая тряпка. Отстань.
    Багровая темнота. Откуда-то из неимоверно далеких глубин раздается голос.
    Голос настойчиво уговаривает открыть глаза. Неохота. Багровая темнота. ^
    Ручейки теплой воды стекают по лицу. Шершавая тряпка настойчиво елозит
    по лицу. Как брамин языком лижет. Багровая темнота. ^
    Кап. Кап. Кап. ^
    - Открой глаза. Очнись. ^
    Ничего не выражающий голос просит очнуться. Зачем? И так уютно.
    Голова кружится. Челюсть пульсирует. ^
    - Очнись. ^
    Неохота. ^
    - ОЧНИСЬ! ^
    Тряпка вновь обмывает лицо. Кап. Кап. Кап. Голова кружится. ^
    - ОЧНИСЬ, РАДИ БОГА! ^
    Голова кружится. Издалека слышен крик Салли... Салли?
    ]],
    obj = {
        obj { nam='', dsc=[[{Далее} ^]],   act=code[[ walk (game_guns_jail_5) ]] },
    },
};


game_guns_jail_5 = room {
    nam = "Тюрьма",
    pic = "gfx/maccinli.jpg",
    dsc = [[
    С трудом разлепляешь глаза. Неяркий свет ослепляет.
    Снова зажмуриваешься. Багровая темнота. ^
    - Нет. ^
    Да. ^
    - Нет! ^
    Черт... Снова открываешь глаза, сузив их в маленькие щелочки. Над тобой
    склонилась Салли. Выражение лица очень озабоченное. Непослушные волосы
    снова выбились из-за ушей. Ты протягиваешь руку, чтобы погладить по волосам
    медсестру и сказать ей пару слов. ^
    Из горла выходит лишь слабое сипение, а рука скользит по гладкой поверхости.
    Знакомый грубый голос изумленно произносит: ^
    - Куда руки тянешь? ^
    Моргаешь. Красивое удлинненое лицо Салли расплывается, деформируется,
    плавится и течет... Ты с трудом тянешь руку и протираешь глаза. Сверху
    склонился Маккинли, а вовсе не очаровательная медсестра. Черт. ^
    Пытаешься что-то сказать, но голос отказал. Наконец, прочистив горло,
    ты можешь что-то просипеть:
    ]],
    obj = {
        obj { nam='', dsc=[[{"Где я?"} ^]],       act=code[[ walk (game_guns_jail_6) ]] },
        obj { nam='', dsc=[[{"Где мы?"} ^]],      act=code[[ walk (game_guns_jail_7) ]] },
        obj { nam='', dsc=[[{"Где Салли?"} ^]],   act=code[[ walk (game_guns_jail_8) ]] },
        obj { nam='', dsc=[[{"Где Киллиан?"} ^]], act=code[[ walk (game_guns_jail_9) ]] },
    },    
};


game_guns_jail_6 = room {
    nam = "Тюрьма",
    pic = "gfx/nyen.jpg",
    dsc = [[
    Каждое слово громом отдается в голове. Челюсть горит. ^
    - Где я… ^
    Маккинли кладет тряпицу тебе на разбитую скулу. От
    прикосновения грубой ткани к ране ты вскрикиваешь.
    Эндрю успокаивающе кладет тебе руку на плечо. ^
    - Спокойно… Мы в тюрьме. ^
    Горькая улыбка освещает его лицо. ^
    - Никогда не думал, что окажусь по эту сторону двери.
    Всегда охранял закюченных, а теперь вот так получилось... ^
    Ты стискиваешь пальцы Эндрю. Нервно ходящий из угла в угол Нуэн
    внезапно разражается потоком ругательств. Как ответ на это
    звучит скрип открываемого замка. Нуэн хищно улыбается: ^
    - Сейчас мы оглушим его, кто бы это ни был! Потом забираем
    оружие и мотаем из этого города. Все равно ему жопа!
    ]],
    obj = {
        obj { nam='', dsc=[[{"Калнор, ты что! Ты всю жизнь отдал этому городу! А теперь хочешь его бросить? Ну уж нет!"} ^]],
            act=code[[ walk (game_guns_jail_10) ]] },
        obj { nam='', dsc=[[{"Отличный план, дружище! Ты встаешь слева от двери, а я отвлекаю их, когда они зайдут. Тогда ты набросишься на кого-нибудь и завладеешь оружием."} ^]],
            act=code[[ walk (game_guns_jail_11) ]] },
    },
};


game_guns_jail_7 = room {
    nam = "Тюрьма",
    pic = "gfx/nyen.jpg",
    dsc = [[
    Каждое слово одается эхом боли. ^
    - Где мы?.. ^
    Нуэн, нервно ходящий из угла в угол, резко выплевывает: ^
    - Мы в жопе! Этот поганый город, которому я долго служил,
    теперь засадил меня в гребаную тюрягу! ^
    Тюряга... Точно, точно. Несколько странно самому тут сидеть,
    вместо того, чтобы засадить кого-нибудь. Точно услышав
    твои мысли, Эндрю вздыхает: ^
    - Черт... Всю жизнь охранял тюрьму, а теперь в ней сам оказался...
    Перипетии судьбы… ^
    - При-па-пу чего? - слабо спрашиваешь ты, силясь унять головную боль. ^
    - Пе-ри-пе-ти-и, - обьясняет Маккинли, - Другими словами превратности. ^
    - Откуда ты набрался таких слов-то, Эндрю? ^
    В разговор встревает Нуэн: ^
    - Он просто гребаный херов умник! Нет бы знать, как смыться отсюда! ^
    Эндрю зло отвечает: ^
    - Я-то знаю, как отсюда смыться, я же охранял ее! Только вот с какой
    стати мы будем это делать? ^
    - Как с какой? Нас заперли в вонючем сарае! Наш город нас предал!
    Надо уходить отсюда, хотя бы в Хаб. Все равно этой старой помойке крышка. ^
    Слышится скрип открываемого замка. Нуэн возбужденно говорит: ^
    - Сейчас мы оглушим их, кто бы это не был! И заберем все оружие. После
    этого смыться будет не так уж сложно. До Хаба мы дойдем, все-таки 
    полицейские, необходимые навыки имеются...
    ]],
    obj = {
        obj { nam='', dsc=[[{"Калнор, ты что! Ты всю жизнь отдал этому городу! А теперь хочешь его бросить? Ну уж нет!"} ^]],
            act=code[[ walk (game_guns_jail_10) ]] },
        obj { nam='', dsc=[[{"Отличный план, дружище! Ты встаешь слева от двери, а я отвлекаю их, когда они зайдут. Тогда ты набросишься на кого-нибудь и завладеешь оружием."} ^]],
            act=code[[ walk (game_guns_jail_11) ]] },
    },
};


game_guns_jail_8 = room {
    nam = "Тюрьма",
    pic = "gfx/nyen.jpg",
    dsc = [[
    Видимо, ты еще слишком оглушен. Каждое слово отдается вспышкой
    боли в голове. Явно не соображая, что говоришь, ты задаешь вопрос: ^
    - Где Салли? ^
    У Маккинли округляются глаза. ^
    - Где кто? Салли? Нас кинули в тюрягу, тебя чуть не убил Киллиан,
    я тебя еле вытащил из обморока, а ты спрашиваешь, где Салли? ^
    Нуэн, нервно идущий из угла в угол, встревает в разговор: ^
    - Да он просто гребаный влюбленный, Эндрю, не обращай внимания. ^
    Эндрю возражает: ^
    - Какая тут любовь?! Я всю жизнь охранял эту тюрьму, а теперь сижу
    здесь сам, как паршивый алкаш Биттнер! И все из-за того, что
    гребаный влюбленный и гребаный привратник-швейцар раздолбили
    гребаного солдафона в пух и прах. ^
    - Как ты меня назвал? - тихо спрашивает Нуэн. За этой тишиной
    явно прослеживается угроза и ярость. - Как ты меня назвал?! ^
    Эндрю не отводит взгляд от бешеного лица Калнора. Ситуация грозит
    перерасти в драку, причем нешуточную. Еще одно неосторожное
    слово и воздух вспыхнет насилием. ^
    В замке двери скрежещет ключ. Нуэн вдруг усмехается и
    хлопает Эндрю по плечу. ^
    - Порядок, старина. Не будем ссориться сейчас. Сейчас мы заполучим
    оружие и смоемся нафиг из этого грязного города, который нас
    предал. Ты отвлекай их, а я нападу сзади и завладею оружием, ОК?
    ]],
    obj = {
        obj { nam='', dsc=[[{"Калнор, ты что! Ты всю жизнь отдал этому городу! А теперь хочешь его бросить? Ну уж нет!"} ^]],
            act=code[[ walk (game_guns_jail_10) ]] },
        obj { nam='', dsc=[[{"Отличный план, дружище! Ты встаешь слева от двери, а я отвлекаю их, когда они зайдут. Тогда ты набросишься на кого-нибудь и завладеешь оружием."} ^]],
            act=code[[ walk (game_guns_jail_11) ]] },
    },
};



game_guns_jail_9 = room {
    nam = "Тюрьма",
    pic = "gfx/nyen.jpg",
    dsc = [[
    Ой-ой-ой... Твоя голова, до чего же больно говорить... Но с ней
    явно что-то не то, потому, что ты слабым голосом сипишь следующее: ^
    - Где Киллиан? ^
    Нуэн, буквально бегающий из угла в угол начинает ржать. ^
    - Мля, Киллиан Даркуотер его чуть на тот свет не отправил, а он про
    него спрашивает, едва зенки продрал! Видать сильно он тебя приложил... ^
    - Мы в тюрьме, понимаешь? - с горькой улыбкой на лице говорит
    Маккинли. - Вот оно как сложилось - теперь меня охраняют в тюрьме.
    А всю жизнь было наоборот, и не скажу, что мне нравится такой
    поворот событий. ^
    - А я давно ждал такого поворота, - продолжает Нуэн, - Ты прав, парень,
    насчет города... Киллиан его испортил. Кто-нибудь из вас знает, что
    наш город раньше назывался Скрэпхэп? А теперь мы живем в этой Помойке.
    Нет, с меня хватит. Я не собираюсь сидеть тут сложа руки и тратить свои
    силы на попытку спасти этот городишко вместе с его чванливым мэром.
    Я просто уйду в Хаб, там в наемники подамся. Всяко лучше, чем
    горбатиться в раскаленном металлическом городе около ворот, сваленных
    из груды мусора. ^
    Слышится скрип ключа в замочной скважине. Нуэн загорается: ^
    - Сейчас или никогда! Напасть на них сзади и отобрать пушки,
    а потом в Хаб! Вы со мной?
    ]],
    obj = {
        obj { nam='', dsc=[[{"Калнор, ты что! Ты всю жизнь отдал этому городу! А теперь хочешь его бросить? Ну уж нет!"} ^]],
            act=code[[ walk (game_guns_jail_10) ]] },
        obj { nam='', dsc=[[{"Отличный план, дружище! Ты встаешь слева от двери, а я отвлекаю их, когда они зайдут. Тогда ты набросишься на кого-нибудь и завладеешь оружием."} ^]],
            act=code[[ walk (game_guns_jail_11) ]] },
    },
};


game_guns_jail_10 = room {
    nam = "Тюрьма",
    pic = "gfx/nyen.jpg",
    dsc = [[
    Ты возмущенно возражаешь Нуэну: ^
    - Калнор, ты что! Ты всю жизнь отдал этому городу! А теперь хочешь его бросить?
    Ну уж нет! ^
    Ключ в замке делает первый поворот. Ты, не обращая внимания на жуткую боль,
    разламывающую череп, приподнимаешься на локтях. Черт! ^
    Нуэн вопит: ^
    - Я всю жизнь просрал этому городу! Помойка! Не мешай мне, кретин! ^
    Маккинли с выражением крайнего неудовольства и сожаления на лице отводит
    правую руку назад, потом резко бьет Нуэна в нос. Раздается влажный всхлюп,
    и на дощатый пол падают крупные и тяжелые капли крови. Калнор отнимает руки
    от лица и изумленно смотрит на окровавленые пальцы. Удивление на его лице
    сменяется гневом. ^
    Ключ в замке делает второй поворот. ^
    - Ты меня ударил! - вопит Нуэн истеричным голосом, - Ты меня, мать твою, ударил! ^
    Ты шатаясь, привстваешь на колени. Голова... ^
    Нуэн коротко, без размаха ударяет Эндрю под дых. Он, бессильно охнув, медленно
    складывается пополам. Нуэн добавляет коленом в лицо. ^
    Ключ делает третий оборот. ^
    Ты, держась за стенку, выпрямляешься. К голове приливает кровь, мгновение ты
    ничего не видишь, кроме разноцветных кругов перед глазами. Дверь распахивается.
    В проеме стоят Киллиан и Ларс. За их спинами маячит напряженное и... заплаканное
    лицо Салли. В руках у них Пустынные Орлы. На взводе. А у Киллиана разбиты
    костяшки на левой руке. Он постоянно слизывает выступающую кровь. ^
    Киллиан сухо командует.  ^
    - Ты, Нуэн! Лицом к стене, руки за голову. ^
    Нуэн тяжело дышит. На его потном лице усмешка. ^
    - Может еще и ноги раздвинуть? ^
    - Что, решил пойти по стопам своей матушки? - брезгливо морщится ваш славный мэр. ^
    Нуэн с рычанием бросается на Киллиана. Тот делает легкий шаг в сторону, и бьет 
    Калнора рукояткой пистолета в висок. Оглушенный Нуэн валится наземь. 
    Брезгливо отодвинув его тело ногой, Киллиан продолжает приказ: ^
    - А ты, - он указывает рукояткой пистолета на тебя, - Пойдешь с нами. ^
    Ни к селу ни к городу он добавляет: ^
    - Прости, что едва не свернул тебе челюсть. ^
    Гадая, что бы это значило, ты идешь вместе с ними. Салли остается помочь Эндрю, но у мэрии нагоняет вас.
    ]],
    obj = {
        obj { nam='', dsc=[[{Далее} ^]],   act=code[[ walk (game_guns_jail_12) ]] },
    },
};


game_guns_jail_11 = room {
    nam = "Тюрьма",
    pic = "gfx/nyen.jpg",
    dsc = [[
    Ты сипишь Нуэну: ^
    - Отличный план, дружище! Ты встаешь слева от двери, а я отвлекаю их, когда они зайдут.
    Тогда ты набросишься на кого-нибудь и завладеешь оружием. ^
    Нуэн хищно ухмыляется в усы. ^
    Маккинли возмущен: ^
    - Вы что, спятили оба? ^
    Но, заметив твой быстрый жест, останавливается. В глазах его появляется понимание. ^
    - Ну это ваше дело, ребята. - фальшиво произносит Эндрю и отворачивается. ^
    Нуэн встает в указанное тобой место. ^
    Ключ поворачивается в замке раз, другой, третий... ^
    Затем дверь резко распахивается, вероятно от удара ногой. Нуэн не издает и звука,
    когда тяжелая латунная ручка двери впивается ему в солнечное сплетение.
    Беззвучно он оседает на пол с побелевшим от боли лицом. ^
    В проеме стоят Киллиан, начальник полиции Ларс, а за их спинами маячит озабоченное
    лицо Салли. Киллиан, не обращая внимания на корчащегося Нуэна, сухо командует: ^
    - Ты! Ты идешь с нами! ^
    И ни к селу ни к городу добавляет: ^
    - Извини, что ударил тебя. ^
    После этого он подносит кулак левой руки к лицу и слизывает капельки крови из
    разбитых костяшек. Гадая, что бы все это значило, ты подчиняешься. Маккинли наклоняется
    над стонущим Нуэном, уже ему протирая лицо. ^
    С гудящей головой ты выходишь из тюрьмы, поддерживаемый мэром и Ларсом. Вы идете в мэрию.
    ]],
    obj = {
        obj { nam='', dsc=[[{Далее} ^]],   act=code[[ walk (game_guns_jail_12) ]] },
    },
};



game_guns_jail_12 = room {
    nam = "Мэрия",
    pic = "gfx/skorback.jpg",
    dsc = [[
    В мэрии сидит, закинув ноги в потертых ковбойских сапогах на стол, ]]..txt_skorback_bio..[[
    Когда открывается дверь и ваша процессия входит, он моментально
    скидывает ноги со стола и засовывает Киллиану в стол экземпляр
    "Кошачьей лапки". Встав навытяжку около стола, Скорбэк браво докладывает: ^
    - За время вашего отсутствия ничего особенного не случилось. ^
    - Вольно! - бросает Ларс.  ^
    Киллиан глядит на тебя пристально, потом говорит: ^
    - Ты сейчас наша единственная надежда.
    ]],
    obj = {
        obj { nam='', dsc=[[{"Вы о Скитальцах Пустыни?"} ^]],
              act=code[[ walk (game_guns_jail_14) ]] },
        obj { nam='', dsc=[[{"Какая-такая надефда? Фо фломанной селюфтью? Не фмесите мои тапоськи..."} ^]],
              act=code[[ walk (game_guns_jail_15) ]] },
        obj { nam='', dsc=[[{"Ага. Надежда, как говорится, умирает последней, Киллиан. Ты имеешь в виду, что я умру последним?"} ^]],
              act=code[[ walk (game_guns_jail_16) ]] },
    },  
};


game_guns_jail_14 = room {
    nam = "Мэрия",
    pic = "gfx/killian.jpg",
    dsc = [[
    Возможно, удар по голове прибавил тебе ума. Ты вдруг понимаешь,
    что можешь сделать для своего города... ^
    - Вы о Ганраннерах? ^
    Мальборо довольно хлопает в ладоши. ^
    - Вот видите, сэр, - обращается он к Киллиану, - Я же говорил, что
    он сразу же догонит, о чем речь. ^
    - Расскажи нам об этом поподробнее, - обращается к тебе мэр, - И прости
    еще раз, что я тебя ударил. ^
    -Да ладно, - бормочешь ты, потирая синяк, - Слушайте...
    ]],
    obj = {
        obj { nam='', dsc=[[{Далее} ^]],   act=code[[ walk (game_guns_jail_major_dialog_1) ]] },
    },
};



game_guns_jail_15 = room {
    nam = "Мэрия",
    pic = "gfx/killian.jpg",
    dsc = [[
    Обиженно потирая челюсть, ты специально шепелявишь... ^
    - Какая-такая надефда? Фо фломанной селюфтью? Не фмесите мои тапоськи... ^
    Киллиан темнеет: ^
    - Если бы я хотел сломать тебе челюсть, я бы сделал это. Я знал, как бить.
    Поэтому, прошу тебя, не придуривайся... ^
    Притворяться просто нет смысла. ^
    - Ладно. Что там про надежду? Вы о чем? ^
    Киллиан кивает Питеру: ^
    - Напомни ему, Мальборо.
    ]],
    obj = {
        obj { nam='', dsc=[[{Далее} ^]],   act=code[[ walk (game_guns_jail_major_dialog_0) ]] },
    },
};



game_guns_jail_16 = room {
    nam = "Мэрия",
    pic = "gfx/killian.jpg",
    dsc = [[
    Ну ни фига себе! Сначала чуть тебе голову не оторвал, а теперь последняя надежда?! ^
    - Ага. Надежда, как говорится, умирает последней, Киллиан. Ты имеешь в виду,
    что я умру последним? ^
    - Нет, я имею в виду то, что только ты можешь спасти наш город. ^
    - А я стану это делать? - спрашиваешь ты Киллиана. ^
    - А разве нет? - в тон отвечает мэр. ^
    - А разве кто-то мне не свернул пару часов назат голову с плеч? ^
    Киллиан вздыхает: ^
    - Я же извинился, чего тебе еще надо?.. Ты сам меня вынудил к этому. Но я могу
    еще раз извиниться. Ради спасения моего города я могу даже встать
    перед тобой на колени. ^
    Ты смотришь ему в глаза и приходишь к выводу, что он действительно может
    сделать это. И что он действительно сделает это только потому, что любит
    этот город. И не его вина, что за последние несколько тихих лет Джанктаун
    слегка размяк... ^
    - Нет. Не надо этого делать. Я и так верю. Что от меня требуется? ^
    Киллиан кивает Питеру: ^
    - Напомни ему, Мальборо.
    ]],
    obj = {
        obj { nam='', dsc=[[{Далее} ^]],   act=code[[ walk (game_guns_jail_major_dialog_0) ]] },
    },
};


game_guns_jail_major_dialog_0 = room {
    nam = "Мэрия",
    pic = "gfx/skorback.jpg",
    dsc = [[
    Мальборо с готовностью напоминает: ^
    - Торговец из Адитума жил у тебя полгода. ^
    - Я помню, - неуверенно начинаешь ты, - Но каким образом это... ^
    - Подумай, - настойчиво отвечает Питер, - Вспомни, что ты нам рассказывал
    из его баек?.. ^
    - Руки Смерти? Вы что, хотите, чтобы я заарканил парочку, привел их
    сюда на поводке и натравил на мутантов?! Вы что, смеетесь? ^
    - Я ничего не знаю про Рук Смерти, я даже сомневаюсь, что они существуют.
    Но ты рассказывал про другое... ^
    Ты добросовестно припоминаешь все байки, которыми кормил ребят.
    Вдруг тебя осеняет! Да, видимо тебя сильно стукнули по башке,
    раз ты призабыл это. Если память тебе не изменяет, ты говорил
    это еще сегодня утром, в здании совета. А может и не говорил,
    но точно собирался, точнее припомнить не удается. ^
    - Ганраннеры! ^
    Скорбэк кивает. ^
    - Да, они самые. А теперь расскажи нам о них без всяких баек.
    Кто они, чем занимаются и как они могут помочь нашему городу.
    ]],
    obj = {
        obj { nam='', dsc=[[{Далее} ^]],   act=code[[ walk (game_guns_jail_major_dialog_1) ]] },
    },
};

game_guns_jail_major_dialog_1 = room {
    nam = "Мэрия",
    pic = "gfx/junktown_aditum.jpg",
    dsc = [[
    - Адитум - большой город. Он расположен на месте Лос-Анджелеса. Неудивительно, что
    там смогли найти условия для существования люди. Поделившись на несколько группировок,
    они стараются ладить друг с другом. Правда у них это не всегда получается.
    Несколько лет назад одна из группировок - Регуляторы - провела зачистку другого
    квартала, в котором жили Разоры. После чего в Адитуме относительно спокойно. А те
    люди, о которых я говорил, это так называемые Скитальцы Пустыни. Или Ганраннеры, кому
    как больше нравится. Они обитают в заброшенной фабрике. Не знаю, что производили
    на ней раньше, но эти ловкие ребята переоборудовали ее под производство
    вооружения. С охотой они достаточно дешево продают свои пушки всем желающим.
    Я думаю, что и нам они продадут. ^
    Киллиан задумывается. ^
    - Ладно, это нам подходит. Вы с Мальборо отправитесь туда за оружием.
    Но вам нужно еще несколько членов отряда... ^
    Салли, до этого молча внимавшая, подала голос: ^
    - Киллиан, я тоже иду с ними.
    ]],
    obj = {
        obj { nam='', dsc=[[{"Салли... Я так рад видеть тебя в своей команде... Но это не такая уж романтическая прогулка. В нас, может быть, будут даже стрелять!"} ^]],
              act=code[[ jail_sally_dialog_choice = 1 ; walk (game_guns_jail_major_dialog_2) ]] },
        obj { nam='', dsc=[[{"Салли... Спасибо тебе за это..."} ^]],
              act=code[[ jail_sally_dialog_choice = 2 ; walk (game_guns_jail_major_dialog_2) ]] },
        obj { nam='', dsc=[[{"Нет! Только не это! Салли, это опасно... Я не могу позволить, чтобы ты рисковала жизнью."} ^]],
              act=code[[ jail_sally_dialog_choice = 3 ; walk (game_guns_jail_major_dialog_2) ]] },
    },
};

game_guns_jail_major_dialog_2 = room {
    nam = "Мэрия",
    pic = "gfx/sally.jpg",
    dsc = function(s)
    if jail_sally_dialog_choice == 1 then
        p [[
        Что? Ты не ослышался? Прекрасная Салли хочет отправиться в это трудное путешествие
        вместе с тобой? Возможно ваша любовь еще не угасла, а Салли хочет возобновить
        ваш роман? ^
        Глупо улыбаясь, ты спрашиваешь: ^
        - Салли... Я так рад видеть тебя в своей команде... Но это не такая уж
        романтическая прогулка. В нас, может быть, будут даже стрелять! ^
        Презрительно проигнорировав твою реплику, Салли продолжает диалог с Киллианом: ^
        ]]
    elseif jail_sally_dialog_choice == 2 then
        p [[
        Ты отказываешься верить в то, что сейчас услышал... Неужели? В этом что-то
        кроется, или? ^
        - Салли... Спасибо тебе за это... ^
        - За что? - удивленно спрашивает она. А в самом деле, за что? ^
        Не обращая внимания на твое обезображенное раздумьями лицо, Салли
        продолжает разговор. Но не с тобой, а с Киллианом: ^
        ]]
    elseif jail_sally_dialog_choice == 3 then
        p [[
        Ты в ужасе! Только этого не хватало... В ее присутствии ты неведомо
        отчего постоянно краснеешь. Тебе это совсем не нравится. Не говоря уж
        о том, что ты ее до сих пор любишь, хотя в жаркую погоду твой
        шрам на ноге до сих пор ноет... Перспектива прожить две недели в
        ее присутствии тебя не прельщает. ^
        - Нет! Только не это! Салли, это опасно... Я не могу позволить,
        чтобы ты рисковала жизнью... ^
        Внимательно на тебя уставившись, Салли изрекает: ^
        - Это еще почему?.. ^
        Ты чуствуешь, что краснеешь. Ну вот, опять! ^
        - Да потому, что присутствие женщины в отряде - плохая примета!
        Женщина на корабле ведет к айсбергу! Да и всякие там месячные... ^
        - Дурак, - печально констатирует Салли, и вновь начинает разговор с Киллианом. ^
        ]]
    end
    p [[
    - Таким горячим парням в любой момент может понадобиться помощь. А некоторым, - она
    выразительно смотрит на тебя, - даже психологическая. ^
    Тебе нечего сморозить в ответ, Салли всегда была остра на язык. ^
    Киллиан задумчиво смотрит на нее, затем медленно произносит: ^
    - Мне кажется, что она права. Медсестра в команде лишней никогда не будет.
    Решено. Салли с вами. И никаких возражений! Но нужен еще третий. Есть кандидатуры?
    ]]
    end,
    obj = {
        obj { nam='', dsc=[[{Далее} ^]],   act=code[[ walk (game_guns_jail_before_mission) ]] },
    },
};


game_guns_jail_before_mission = room {
    nam = "Мэрия",
    pic = "gfx/dugan.jpg",
    dsc = [[
    Ларс говорит: ^
    - Я думаю, Дуган подойдет. Он вынослив, как бык. ^
    Дуган... Дуган действительно здоровый бугай. Этакий шкаф с антресолями
    и очаровательной улыбкой, которая притягивает к нему женщин, как магнит.
    Но этот добродушный здоровяк в минуту опасности превращается в опасную боевую машину.
    В его грузном теле проявляется такая легкость и грация, что даже не верится.
    А уж стреляет он как бог. На стрельбище выбил тогда 48 из 50 с двадцати метров
    из незнакомого Орла. В самом деле, это наилучшая кандидатура для вашей команды. ^
    Ларс уходит за ним, и вскоре сонный Джон Дуган приходит в мэрию, оглушительно зевая.
    ]],
    obj = {
        obj { nam='', dsc=[[{Далее} ^]],   act=code[[ walk (game_guns_mission_1) ]] },
    },

};
