-- gfx/junktown_intro.jpg
-- gfx/junktown_street.jpg
-- gfx/junktown_shop.jpg
-- gfx/junktown_gate.jpg
-- gfx/junktown_morbid.jpg
-- gfx/junktown_skumpit.jpg
-- gfx/junktown_police.jpg


global {
    police_sit_place = 0,
    police_talk_act = 0,
}

game_police = room {
    nam = "Здание полиции",
    pic = "gfx/junktown_police.jpg",
    dsc = [[
    Ты входишь в небольшое приземистое строение. Внутри страшно душно,
    несмотря на открытые и застопоренные окна у потолка. Посередине
    стоят стулья, а у дальней стены небольшая стойка. За стойкой
    стоит Ларс с оружием наизготовку и рядом Киллиан. Он выглядит
    озабоченным. В углах стоят несколько охранников. Ты их знаешь,
    это твои знакомые. В таком городе все жители знают друг друга... ^
    Итак, пора бы и сесть. Несколько стульев уже заняты.
    Куда бы примоститься?..
    ]],
    obj = {
        obj { nam='', dsc=[[{Сесть у кафедры} ^]],  act=code[[ police_sit_place = 1 ; walk (game_police2) ]] },
        obj { nam='', dsc=[[{Сесть в середине} ^]], act=code[[ police_sit_place = 1 ; walk (game_police2) ]] },
        obj { nam='', dsc=[[{Сесть в конце} ^]],    act=code[[ police_sit_place = 2 ; walk (game_police2) ]] },
    },
};


game_police2 = room {
    nam = "Здание полиции",
    pic = "gfx/junktown_police.jpg",
    dsc = [[
    Ты находишь свободное место и садишься. ^
    Стул неприятно скрипит и кажется, что он сейчас развалится
    под тобой. Ты стараешься сидеть тихо, чтобы хоть немного
    оттянуть тот момент, когда ты грохнешься с него на пол. ^
    Постепенно зал заполняется людьми. Пришли не только
    полицейские, но и несколько добровольцев. А может,
    просто зевак. ^
    Киллиан подходит поближе к стойке: ^
    - Я, Киллиан, мэр этого славного городка, приветствую вас! ^
    Славного? Может, сливного?
    ]],
    obj = {
        obj { nam='', dsc=[[{Захлопать} ^]],   act=code[[ police_talk_act = 1 ; change_karma(5) ; walk (game_police3) ]] },
        obj { nam='', dsc=[[{Сидеть тихо} ^]], act=code[[ police_talk_act = 1 ; walk (game_police3) ]] },
        obj { nam='', dsc=[[{Освистать} ^]],   act=code[[ police_talk_act = 2 ; change_karma(-5) ; walk (game_police3) ]] },
    },
};

game_police3 = room {
    nam = "Здание полиции",
    pic = "gfx/killian.jpg",
    dsc = function(s)
    if police_talk_act == 1 then
        p [[
        Все одобрительно хлопают Киллиану. Да, этот город действительно любит его...
        Киллиан жестом останавливает аплодисменты и продолжает говорить: ^
        ]]
    else
        if police_sit_place == 1 then
            p [[
            Киллиан замечает твою негативную реакцию и, нахмурившись, жестом останавливает
            аплодисменты остальных, которые, радостно хлопают ему. Да, этот чертов городок
            действительно любит этого ублюдка...^
            Киллиан начинает говорить дальше:^
            ]];
            change_karma(-5);
        else
            p [[
            К счастью, ты сидел слишком далеко, и Киллиан не заметил твоей негативной реакции.
            Остальные слушатели просто похлопали, и Киллиан продолжает говорить: ^
            ]];
        end
    end
    p [[
    - Я получил сведения, что в нашу сторону с северо-запада-запада движется
    огромная армия супермутантов. Пока они дойдут до нас, их количество
    существенно уменьшится, потому что за ними охотятся какие-то люди
    в стальных доспехах. Но все же всех они не уничтожат. Поэтому мы должны
    защищать наш городок... ^
    - Наши пушки слишком слабые, чтобы достать их! - кричит кто-то из середины. ^
    - Да, я знаю об этом. Я сам видел, что в супермутантов высаживали обоймы,
    обдавали из огнеметов, шквальным огнем пулеметов пытались остановить их,
    но они шли и шли, и ничто не могло остановить их. Конечно, они смертны,
    но они не чувствительны к боли, поэтому бить их нужно до последнего.
    Он будет сражаться ровно до того момента, пока у него не остановится
    сердце или не оторвут голову... ^
    Все-то ты видел, Киллиан, везде-то ты был. А на поверку так просто
    внимательно слушал сплетни. ^
    - Я предлагаю выйти из города и обождать, пока они пройдут мимо! -
    опять крикнул кто-то из середины. ^
    - Они просто разграбят наш городок. И ваши задницы больше не будут
    пачкать стулья в "Скам Пит".  ^
    По залу пронесся дружный хохот. ^
    - Ну хорошо, есть у кого-нибудь умные идеи? ^
    В зале поднялась одна рука. Из середины. Может, тоже
    предложить умную идейку?   
    ]]
    end,
    obj = {
        obj { nam='', dsc=[[{Сидеть тихо} ^]],  act=code[[ walk (game_bos_1) ]] },
        -- FIXME: temporarily disable GunRunners
        -- obj { nam='', dsc=[[{Поднять руку} ^]], act=code[[ walk (game_guns_1) ]] },
    },
};
