-- $Name:Fallout quest$
-- $Version:0.0.1$
instead_version "1.8.0"
game.codepage="UTF-8";
require "xact"
require "para"

dofile "junktown_town.lua" -- (wandering around city) ready
dofile "junktown.lua" -- ready

dofile "junktown_bos.lua" -- ready
dofile "bos_desert.lua" -- ready
dofile "bos_post.lua" -- ready
dofile "bos_bunker.lua" -- ready
dofile "bos_bunker_1.lua" -- ready
dofile "bos_bunker_2.lua" -- ready
dofile "bos_bunker_2_terminal.lua" -- ready
dofile "bos_bunker_3.lua" -- ready
dofile "bos_bunker_3_dialogs.lua" --ready
dofile "bos_bunker_4.lua" -- ready
dofile "bos_bunker_4_terminal.lua" -- ready
dofile "bos_intercept.lua" -- ready
dofile "bos_meeting.lua" -- ready
dofile "bos_return.lua" -- ready
dofile "bos_theend.lua" -- ready

-- dofile "junktown_guns" -- ready
-- dofile "guns_combat" -- ready
-- dofile "guns_jail" -- ready
-- dofile "guns_mission"


-- ---------------------------------------------------------

pl = player {
    var {
        life = 100,
        karma = 0,
    },
	nam = "Junktown policeman",
	where = 'main',
	obj = { }
};

player_status = stat {
    nam = function(s)
        pn ('Здоровье: ', me().life)
        pn ('Карма: ', me().karma)
    end
};
    
main = room {
    forcedsc = true,
    nam = "Fallout quest",
    pic = "gfx/fq_logo.jpg",
    dsc = nil,
    obj = {
        obj { nam = '', dsc=[[> {НАЧАТЬ ИГРУ}^^]], act=code[[walk(game_start)]] },
    
        obj { nam = '', dsc=[[{Об игре} ^]], act=code[[walk(game_details)]] },

        obj { nam = '', dsc=[[{Правила} ^]], act=code[[walk(game_rules)]] },
        obj {nam = '', dsc=[[{Авторы} ^]], act=code[[walk(game_authors)]] },
        obj { nam = '', dsc=[[{Лицензия} ^]], act=code[[walk(game_eula)]] },
    },
};


game_rules = room {
    forcedsc = true,
    nam = "Правила игры",
    pic = "gfx/fq_logo.jpg",
    dsc = [[
        Игра представляет собой текстовый квест, поэтому ее
        возможности ограничены.  ^
        Вы можете действовать только так, как вам предлагается в
        вариантах ответа/действий.  ^
        Это относится ко всем аспектам игры: действиям, движениям,
        диалогам, боям, головоломкам.  ^
        Но во многих случаях (например, при передвижении), вы
        можете заново возвращаться на прежние места и заново
        разговаривать с местными людьми.  ^
        Важно запомнить, что что бы вы не делали, игра никогда
        не зайдет в тупик и не окончится фразой "ты погиб".  ^
        Даже самое смелое поведение приводит к финалу. Другое дело, сможете ли
        вы узнать что-то важное и интересное, или же просто пробежите
        игру за несколько минут не читая и не делая лишних движений...    
    ]],
    obj = {
        obj { nam = '', dsc=[[{Назад}]], act=code[[walk(main)]] },
    },
};

game_authors = room {
    forcedsc = true,
    nam = "Авторы",
    pic = "gfx/fq_logo.jpg",
    dsc = [[
        Авторы Fallout: Quest. ^^
        Роман Махмутов aka PillBoX - ведущий дизайнер, художник,
        писатель, сценарист, админ сайта digeckos.com. vil@magnitka.ru ^
        Чеширский Taurus - программист "QEngine", художник. taurus@stud.vsu.ru. ^
        Tommyknocker - сценарист части "Gunrunners", тестер. tommyknocker@fallout.ru. ^
        Сергей Степанюк aka Stepiy - программист. stepiy@mail.ru. 
    ]],
    obj = {
        obj { nam = '', dsc=[[{Назад}]], act=code[[walk(main)]] },
    },
};

game_eula = room {
    forcedsc = true,
    nam = "Лицензия",
    pic = "gfx/fq_logo.jpg",
    dsc = [[
        Лицензия. ^
        Данная копия Fallout: Quest ("программа") предназначена только для
        вашего личного некоммерческого использования.  ^
        Использование программы в коммерческих целях запрещено. По этим
        причинам нельзя публиковать полную версию игры на компакт-дисках,
        прилагаемых к различным изданиям.  ^
        Разрешена только публикация демо-версии и только с согласия на
        то авторов. Вы не можете разбирать, переделывать или изменять
        программу, в соответсвии с законом. Авторы имеют все права на
        лично созданных ими: персонажей, графику, названия (имена) и
        название Fallout: Quest, Fallout: Quest 2 и Operation "CW". ^
        ДЛЯ НЕПОНЯТЛИВЫХ: ВСЕ ПРАВА НА СЮЖЕТ, ПЕРСОНАЖИ, НАИМЕНОВАНИЯ 
        ПРИНАДЛЕЖАТ СОЗДАТЕЛЯМ ОРИГИНАЛЬНОЙ ИГРЫ Fallout:Quest.
    ]],
    obj = {
        obj { nam = '', dsc=[[{Назад}]], act=code[[walk(main)]] },
    },
};

game_details = room {
    forcedsc = true,
    nam = "Об игре",
    pic = "gfx/fq_logo.jpg",
    dsc = [[
        Оригинальный Fallout Quest был создан студией Digital Geckos
        в 2002 году. С тех пор прошло немало времени. ^
        Я попытался адаптировать Fallout Quest под платформу INSTEAD.
        насколько это вышло удачно - судить вам. Также обновил немного
        картинки и поправил немногочисленные опечатки. ^
        К сожалению, ветку со Скитальцами Пустыни пришлось вырезать,
        поскольку она не была завершена разработчиками. ^
        ^
        Можайский Сергей ^
        http://technix.in.ua/
    ]],
    obj = {
        obj { nam = '', dsc=[[{Назад}]], act=code[[walk(main)]] },
    },
};






game_end = room {
    nam = "",
    pic = "gfx/fq_logo.jpg",
    dsc = [[

Поздравляем с успешным прохождением игры Fallout: Quest!
Не забывайте, что вы прошли только одну из сюжетных веток FQ! ^
]]
..txtc([[
**** ^
FALLOUT: QUEST ^
]]..img('gfx/fq_logo.gif')..[[^
**** ^
Fallout Quest Team ^
**** ^
Идея: ^
PillBoX ^
**** ^
Сценарий: ^
"Братство Стали": ^
PillBoX ^
"Скитальцы Пустыни": ^
Tommyknocker ^
**** ^
Художники: ^
PillBoX ^
Max ^
Taurus ^
**** ^
Дизайн: ^
PillBoX ^
Max ^
(на основе оригинального Fallout) ^
**** ^
Была использована графика: ^
Black Isle ^
Village Roadshow Pictures ^
Eyewithness ^
Yoshemite Entertainment ^
Running With Scissors
    ]]),
};


change_karma = function(inc)
    me().karma = me().karma + inc;
end

change_life = function(inc)
    me().life = me().life + inc;
end

incr = function(t,k,v)
   t[k] = t[k] + (v or 1)
end

