loc_bunker_2 = room {
    nam = "Второй этаж",
    pic = "gfx/bos/bunker/2/lift.jpg",
    dsc = [[
    ^
    Вы выходите из лифта на втором этаже. ^
    На этом этаже есть госпиталь, несколько
    компьютерных классов и казармы. Сейчас
    можно пойти либо в холл, либо вернуться
    в лифт.
    ]],
    way = {
        'loc_bunker_2_hall',
        'game_bos_bunker_liftin',
    },
};

loc_bunker_2_lift = room {
    nam = "Лифт",
    pic = "gfx/bos/bunker/2/lift.jpg",
    dsc = [[
    ^
    Ваша компания подходит к лифту Братства
    на втором этаже.  ^
    Большая желтая цифра "2" указывает на то, что
    это второй этаж (хотя она может указывать и на
    то, что больше двух человек в лифт не влезет, и
    на то, что в лифте можно кататься только две
    минуты, и на то... что это второй этаж).  ^
    Можно либо вернуться в холл, либо войти в лифт.
    ]],
    way = {
        'loc_bunker_2_hall',
        'game_bos_bunker_liftin',
    },
};


loc_bunker_2_hall = room {
    nam = "Холл второго этажа",
    pic = "gfx/bos/bunker/2/hall.jpg",
    dsc = [[
    ^
    Вы выходите в холл. На стене несколько эмблем Братства,
    в углах пара синих мониторов. По потолку пробегают
    защищенные сеткой толстые кабели. Время от времени один
    из них искрится и потрескивает. Ты замечаешь несколько
    больших толстых колонн в стенах - на каждом следущем
    этаже эти колонны толще и массивнее.  ^
    Краска на стене у лифта протерлась от ног, и там видна
    простая стальная стена слегка серебристого цвета. На
    военных базах вообще-то не принято красить стены. Значит
    здесь была перекраска стен... Чтобы замести прошлые
    следы? Щенков в жертву они может и не приносят, но и
    всей правды о них неизвестно.  ^
    Итак, отсюда можно идти на все четыре стороны.
    ]],
    way = {
        'loc_bunker_2_hospital',
        'loc_bunker_2_barracks',        
        'loc_bunker_2_computers',
        'loc_bunker_2_lift',
    },
	exit = function(s, t)
		if t == loc_bunker_2_computers then
			return 'Вы проходите к компьютерному классу. Дверь открывается с уже привычным звуком.'
		end
		if t == loc_bunker_2_computers then
			return 'Вы проходите по коридору в сторону казарм.'
		end
	end,     
    
};


-- computers

loc_bunker_2_computers = room {
    nam = "Компьютерные классы",
    pic = "gfx/bos/bunker/2/computers.jpg",
    dsc = [[
     В довольно просторном помещении
    стоит множество компьютеров и терминалов. Кое-какие
    заняты, но занятий сейчас нет. Маккинли сразу садится
    за большой терминал сзади, а Нуэн изучает широкий
    монитор на стене.  ^
    Несколько компьютеров включены, а четыре находящихся
    здесь человека не обращают на вас никакого внимания.
    ]],
    obj = {
        obj { nam='', dsc=[[{Сесть за свободный компьютер.} ^]],  act=code[[ walk (game_bos_bunker_2_terminal) ]] },
    },
    way = {
        'loc_bunker_2_hall',
    },     
};

game_bos_bunker_2_terminal = room {
    nam = "Терминал",
    pic = "gfx/bos/bunker/2/terminal.jpg",
    enter = [[
    Ты садишься за удобное кресло черного цвета и
    поворачиваешься к компьютеру.  ^
    Этот терминал очень сильно отличается от всех,
    что ты видел раньше.  ^
    На небольшом мониторе множество цветов, против
    монохромных мониторов Убежищ.  ^
    Нет ни одной лампы или щитка с надписью "не открывать",
    да и сам терминал выглядит более цивилизованно.  ^
    Сбоку от клавиатуры небольшой шарик с кнопками рядом.
    Покрутив его в разные стороны, ты заметил, что
    на мониторе передвинулся прямоугольный курсор.  ^
    Поупражнявшись несколько минут с шариком, ты решил,
    что готов к работе.
    ]],
    dsc = nil,
    obj = {
        obj { nam='', dsc=[[{Начать работу.} ^]],           act=code[[ walk (game_bos_bunker_2_msbos) ]] },
        obj { nam='', dsc=[[{Выйти из-за компьютера.} ^]],  act=code[[ walk (loc_bunker_2_computers) ]] },
    },
};

-- barracks

loc_bunker_2_barracks = room {
    nam = "Казармы",
    pic = "gfx/bos/bunker/2/barracks.jpg",
    dsc = [[
    ^
    На протяжении всей стены установлены сегментированные двери в
    комнаты. За ними слышна утренняя возня и разговоры. Из двери
    прямо рядом с тобой слышен трехэтажный мат. Неплохой
    справочник для любителей народного фольклора... Итак,
    в какую бы дверь постучать?
    ]],
    obj = {
       obj { nam='', dsc=[[{В конце справа} ^]],  act=[[
            Дверь в конце справа незаперта, но внутри никого нет.
            Кровати аккуратно заправлены, шкафчики закрыты,
            мусор убран. ^
            Ты решаешь воспользоваться шансом и обследовать
            казармы Братства. ^
            Двухместные железные койки приставлены по две рядом.
            В ногах каждой кровати небольшая пластмассовая
            табличка с фамилией.  ^
            Таурус, Стайпи, Феббинс, Эйсид, Ульянов, Нокерсон,
            Солид, Стилс (похоже наш!), Экселлен, Мэкс, Си,
            Лунх, Пи Би Оукс.  ^
            Даже китаец есть. И русский.  ^
            У изголовья каждой кровати по железному шкафчику.
            К сожалению, на замке. Заглянув за стену, ты
            обнаруживаешь за ней два душа, несколько писсуаров,
            туалетов и рукомойников. Во всем остальном мире такое
            посчиталось бы за восьмое чудо света. От ядерных
            ударов почти все трубы на глубине до двух километров
            треснули, проломились и просто сломались. Единственная
            сохранившаяся трубопроводная система осталась только
            в Некрополисе. Судьба оказалась милостливой к мертвякам. ^
            Осмотрев комнату, ты выходишь в коридор к своим друзьям. ^
            Эту дверь обследовали, в какую бы ещё заглянуть?
        ]] },
        obj { nam='', dsc=[[{Перед тобой} ^]],  act=[[
            Так как дверь не только заперта изнутри, но и за ней
            находятся люди, туда лучше не лезть. Лучше попробовать
            пройти в крайние комнаты.
        ]] },
        obj { nam='', dsc=[[{Дверь в конце } ^]],  act=[[ 
            Ты проходишь в самый конец коридора и открываешь крайнюю
            дверь. В комнате ещё не включен свет. С верхней полки
            раздается страшный храп. Нуэн протягивается и включает
            свет небольшим светящимся выключателем. На потолке
            загораются уже знакомые лампы.  ^
            Храп моментально прекращается и сменяется грохотом и
            протяжным воплем. Из-за кроватей встает молодой
            парнишка в ночной рубашке. Потирая бок и что-то
            непрерывно причитая, он приподнимается и поправляет
            кровать. Ещё не видя вас, он снимает рубашку и
            накидывает сверху рясу с балахоном. Уже закончив
            все свои дела и выйдя из-за кроватей, видимо,
            чтобы умыться, он замечает вас.  ^
            В ту же секунду он выплескивает на вас поток вопросов.
            Среди словолитни ты ловишь слова "кто, я, а почему,
            сколько, побудка"... ^
            Последовав примеру своих напарников, ты ретируешься
            за дверь и поспешно закрываешь ее кнопкой сбоку. Поток
            слов сразу прекращается. ^
            Эту дверь обследовали, в какую бы ещё зайти?         
        ]] },
        obj { nam='', dsc=[[{Чуть правее} ^]],  act=[[
            Так как дверь не только заперта изнутри, но и за ней
            находятся люди, туда лучше не лезть. Лучше попробовать
            пройти в крайние комнаты.
        ]] },
    },
    way = {
        'loc_bunker_2_hall',
    },     
};

-- hospital

loc_bunker_2_hospital = room {
    nam = "Госпиталь",
    pic = "gfx/bos/bunker/2/hospital.jpg",
    dsc = [[
    ^
    Дверь перед вами расходится и исчезает в стене. Внутри, как
    и во всех больницах, ощущается свежий легкий запах
    фармацевтики. Лампы под потолком несколько более яркие,
    чем в остальных коридорах Братства. Несколько высоких
    прозрачных шкафов с многочисленными склянками и приборами,
    три стола посередине, один из них операционный. Армия
    записей, листов и диаграмм на стенах придают помещению
    более светлый вид. Слева в комнате несколько больничных ширм. ^
    Доктор за столом поднимает голову.
    ]],
    obj = {
        obj { nam='', dsc=[[{Поговорить с доктором.} ^]],  act=code[[ walk (dialog_bunker_1_doctor) ]] },

    },
    way = {
        'loc_bunker_2_hall',
    },     
};


dialog_bunker_1_doctor = dlg {
    nam = 'Разговор с доктором',
    pic = "gfx/bos/bunker/2/doctor.jpg",
    entered = [[
    Доктор - пожилой мужчина лет эдак пятидесяти, с
    толстыми очками и марлевой маской на шее.  ^
    Сам в светло-зеленом халате и сером фартуке с
    крестом на груди. На голове уже видна лысина,
    а на висках заметна седина. Взгляд у доктора,
    напротив, очень живой, хотя в данный момент
    ему не до вас. На столе перед ним стоит
    табличка "Авалоун, зам. главврача".  ^
    - Чем могу быть полезен?
    ]],
    dsc = nil,
    phr = {
        { "Мы к больному Стилсу", 
            function(s)
                p [[
                - Это вы его принесли? - спрашивает док. ^
                - Да, я перевязывал его, - вылезает вперед Маккинли. ^
                Доктор кладет ручку и откидывается на стуле: ^
                - Присядьте, разговор долгий.  ^
                Вы усаживаетесь на кушетке у стены.  ^
                - При каких обстоятельствах пострадавший получил ранение? ^
                Ты было открываешь рот, чтобы рассказать всё по существу,
                но Маккинли снова встревает в разговор. Окей, пусть
                говорить будет он. ^
                - Мы точно не знаем. Это произошло ближе к вечеру,
                около семи-шести часов. Стилс ушел дальше нас, и кто-то
                или что-то напало на него. Оно быстро убежало, и мы так
                и не смогли найти это. ^
                Ну вот, не дал рассказать о страшной черной лохматой Руке
                Смерти с ВООТ такими зубами и ВООООТ такими руками...
                Ты вызываешь в памяти момент нападения. Внизу лежит
                Стилс, рядом его любимое ружье (был бы пистолет - не
                выронил бы), песок в крови. Над Стилсом что-то
                полустоит - полувисит. Грязного желтого цвета. И сразу
                же с небывалой проворностью исчезает за скалой. За ним
                остается непрерывный след, как от змеи... ^
                - Рана была нанесена чем-то вроде щупальца. На ноге
                несколько сильных рваных дыр в форме неправильных
                кругов. В ране я обнаружил странную биомассу... ^
                - Мы тоже находили ее, но не заинтересовались. ^
                Доктор бросил сердитый взгляд на Маккинли. ^
                - ... необычного состава. Там есть что-то вроде яда,
                вещества, похожие на те, что москит использует как
                обезболивающее и растворяющие вещества вроде серной
                кислоты, только очень высокой концентрации, более 70-80
                процентов. Эта субстанция служит атакующему основным
                оружием, а так же, по вероятности, она есть в теле
                существа. Или железы, вырабатывающие ее, скрыты в
                теле животного. Мне неизвестны все виды новых существ,
                мутировавших, кроме нескольких десятков, и это пока
                что для меня внове.  ^
                - Так что случилось с вашим Стилсом? ^
                - Боюсь, что он... э-э-э... очень сильно... пострадал.
                И в ближайшие дни не сможет ни разговаривать, ни ещё
                что-либо делать.  ^
                - Он обещал нам кое-какую вещицу... - сказал Нуэн и
                многозначительно посмотрел на вас. ^
                - Все вещи, которые были с ним, сожжены, потому что
                на них были фрагменты биомассы. Она может быть заразной. ^
                - Нет, он обещал выдать нам мотоброню... ^
                Доктор слегка удивлен. ^
                - Мне казалось, что броня выдается только Паладинам,
                и только с разрешения Максона или Ромбуса... ^
                - Но... ^
                Маккинли загораживает собой Нуэна: ^
                - Нет проблем, мы поговорим с ними. Большое спасибо,
                если мы не можем увидеть Стилса... ^
                - Нет, не можете. Он ещё... э-э-э... долго будет
                находиться в... э-э... плохом состоянии. ^
                - ...то мы пойдем. Большое спасибо, доктор. ^
                - Вам больше ничего не нужно?
                ]];
            end
        },
        { "Где здесь начальство?", 
            function(s)
                p [[
                Доктор с подозрением смотрит на вас. Потом нехотя произносит: ^
                - На четвертом этаже... Что-нибудь ещё?
                ]];
            end
        },
        { "Нельзя ли пройти осмотр?",
            function(s)
                p [[
                Доктор снова опускает голову к своим бумагам: ^
                - Амбулатория для внешних работает по четвергам и понедельникам,
                приходите через два дня. Все детали у Кэббота, или другого
                офицера на поверхности. Что-нибудь ещё?
                ]];
            end
        },
        { always = true, "Нет, ничего, спасибо!",
            function(s)
                p [[
                ^
                - До свидания, - доктор вновь склоняется над бумагами,
                не обращая на вас никакого внимания.
                ]];
                back();
            end
        },
    },
        
};



