-- TODO: karma changes

loc_bunker_3 = room {
    nam = "Третий этаж",
    pic = "gfx/bos/bunker/3/lift.jpg",
    dsc = [[
    ^
    Вы выходите из лифта на третьем этаже.  ^
    Левее лифта стоит массивный стальной стол с тремя
    стульями рядом. Чуть сбоку от стола пара знакомых
    синих мониторов. Ты замечаешь, что оба не работают.  ^
    На стене рядом с лифтом помимо большой желтой цифры
    "3" стальная табличка с указанием движения: ^
    * Библиотека ^
    * Мастерская ^
    ]],
    way = {
        'loc_bunker_3_hall',
        'game_bos_bunker_liftin',
    },
};


loc_bunker_3_hall = room {
    nam = "Холл третьего этажа",
    pic = "gfx/bos/bunker/3/hall.jpg",
    dsc = [[
    ^
    Вы выходите в центр третьего этажа. Это довольно
    просторный перекресток трех коридоров с
    несколькими диванами у стен и большим монитором
    на стене. Так как основным достоинством этого
    этажа являются мастерские и библиотека, все эти
    принадлежности очень кстати. Монитор включается
    пультом чуть правее, а диваны сделаны очень
    просто, но, тем не менее, выглядят приятно.
    Наверное, на них довольно удобно сидеть. Все
    же лучше деревянных кроватей с жесткими
    матрасами, которых все ещё значительный
    процент в Джанктауне.  ^
    Над диваном прибито желтое табло с указателями.
    ]],
    way = {
        'loc_bunker_3_workshop',
        'loc_bunker_3_library',
        'loc_bunker_3_lift',
    },    
	exit = function(s, t)
		if t == loc_bunker_3_workshop then
			return [[
            Прошагав по мягкому ковровому покрытию (в Братстве это
            большая редкость), вы входите в мастерскую. Ещё за
            дверью звук молотка и железного бряканья был слышен 
            довольно сильно, а теперь он перекрывает все звуки. ^]];
		end
		if t == loc_bunker_3_library then
			return [[
            Вы проходите в открытую дверь библиотеки и попадаете в
            средних размеров комнату. На библиотеку это мало похоже.
            Так и есть - это просто комната перед входом в библиотеку.
            Три стола, десяток стульев и два скучающих охранника.  ^
            Вы проходите в саму библиотеку. Это уже не комната, а большой зал. ^
            ]];
        end
	end,       
};

-- lift

loc_bunker_3_lift = room {
    nam = "Лифт",
    pic = "gfx/bos/bunker/3/lift.jpg",
    dsc = [[
    Вы возвращаетесь к лифту на третьем этаже.  ^
    - Что за хрень тут висит? - отвлекается Нуэн. ^
    Он подходит к большой доске объявлений, которую вы
    раньше не заметили. На доске висит целая армия
    записок, листов и обрывков бумаги. Над доской
    крупными буквами надпись: "Notice-board", а
    под ней буквами поменьше: "of Brothers
    of Steel". ^
    Ты и Маккинли подходите к разглядывающему доску Нуэну.  ^
    - Глянь-ка что здесь написано - указывает Нуэн на верх доски. ^
    Там прикреплен лист с заголовком "ВОЙНА!" ^
    В центре доски поверх старых объявлений несколько новых.  
    ]],
    obj = {
        obj { nam='', dsc=[[{Осмотреть доску объявлений.} ^]], act = [[
        "Кто идет в Хаб на следующей неделе, обратиться к 313." ^
        "Утеряна зажигалка "Зиппо", нашедшему за вознаграждение обратиться к 71." ^
        Красноречивое "Джонсон - лох" не должно провисеть здесь дольше хотя
        бы одного часа. А вот "некролог Дауэлла" провисит как минимум неделю.
        Некрологов достаточно много, неплохо бы было отвести под это дело
        отдельную доску. К счастью, новичкам некрологи не пишут. А то
        пришлось бы заводить библиотеку.
        ]] },
        obj { nam='', dsc=[[{Объявление "Война".} ^]], act=[[
        ! ПРОЧИТАЙ ЭТО ! ^
        ВОЙНА ^
        Начиная с 12.08.2161 в Братстве Стали объявлено военное положение. ^
        Паладины, Рыцари и Посвященные должны отметиться в оружейной и на складе
        и взять расширенный резерв патронов; проверить, почистить и перезарядить
        свое личное оружие; отремонтировать бронежилеты и перезарядить
        Силовую Броню. ^
        Писцы должны отметиться в оружейной и на складе и взять расширенный
        резерв патронов; проверить, почистить и перезарядить личные пистолеты;
        сменить форму Писца на боевую броню. ^
        Новобранцы должны отметиться в оружейной и на складе, взять боевую
        винтовку с комплектом патронов, 3 гранаты, 5 стимпаков; взять боевую
        броню. ^
        Паладины, Рыцари и новобранцы будут назначены в патрульные либо в 
        штурмовые команды. ^
        Не забудьте написать завещание и раздать все долги! ^
        ! ПРОЧИТАЙ ЭТО !
        ]] },
    },
    way = {
        'loc_bunker_3_hall',
        'game_bos_bunker_liftin',
    },    
};


-- workshop


loc_bunker_3_workshop = room {
    nam = "Мастерская",
    pic = "gfx/bos/bunker/3/workshop.jpg",
    dsc = [[
    Эта мастерская не похожа на все остальные, что ты видел.
    Профессиональное оборудование вместо самодельных станков,
    все на месте, аккуратно расфасовано по ящичкам и
    полочкам. Мириады шурупчиков, болтиков, гаечек и других
    мелких деталей, миллионы креплений, стоек, уголков,
    заклепок, тысячи ключей, дрелей, отверток как электронных
    так и простых, сотни непонятных механизмов, больших
    деталей , десяток станков. И всего один мастер. Если
    верить табличке у входа, то мастеров шесть, работают
    они парами. А сейчас заканчивается ночная смена.
    Поэтому мастер только один. Он копается в большом
    железном бронежилете. Другие столы завалены крупными
    деталями.  ^
    Мастер замечает вас и отвлекается от работы. Он
    не проявляет желания поговорить, но к работе
    не возвращается. Видимо, случаи мелкой кражи
    здесь не редкость.

    ]],
    obj = {
        obj { nam='', dsc=[[{Поговорить с мастером. } ^]],        act=code[[ walk (dialog_bunker_3_master) ]] },
        obj { nam='', dsc=[[{Изучить детали на столах. } ^]],     act=code[[ walk (game_bos_bunker_3_details) ]] },
        obj { nam='', dsc=[[{Взять книги с полок. } ^]], 
        act=[[
        На полках среди груды непонятных механизмов несколько книг. "Technology of Future",
        "Broken mech", "Repairing", "Maintenance", "Jammed gun?". На полке пониже несколько
        брошюр. Тоненькая книжка "Easy repairing of water chip by Vault-Tek". Ты проводишь
        по ней пальцем. На подушечке остается нехилый слой пыли. Сдув пыль ты
        перекрашиваешь цвет названия - из темно-серого он становится белым.  ^
        Рядом лежит толстенный буклет "T-216. Maintenance and repair." Судя по рисунку
        рядом, руководство по моторизированной броне.  ^
        Нуэн делает тебе многозначительные знаки рукой. Оказывается, когда ты наклонился,
        чтобы сдуть пыль, он быстренько "одолжил" какую-то книженцию "Phenomenal Physics".
        Интересный каламбур... На кой черт ему эта книга?
        ]] },
        obj { nam='', dsc=[[{Осмотреть станки и механизмы. } ^]],
        act=[[
        Не выйдет. До механизмов нужно добираться долго и тщательно, через два стола и
        большой кусок трубы. Подумай сам - в мастерскую заваливаются три взрослых
        неизвестных и неместных мужика и лезут через все круги ада, лишь
        бы посмотреть на ржавый кусок железа. Что бы ты о них подумал?
        ]] },
    },
    way = {
        'loc_bunker_3_hall',
    },
};



game_bos_bunker_3_details = room {
    nam = "Мастерская",
    pic = "gfx/bos/bunker/3/powarmor.gif",
    dsc = [[
    Ты подходишь к деталям на столе и разглядываешь их. Большой трапецивидный кусок железа
    оказался полуразобранным шлемом моторизированной брони Братства. С него вытащено все,
    что можно вытащить - фильтры, стекла, трубки, фонари, микрофоны, наушники. Половина 
    из этого лежит тут же, рядом.  ^
    Наклонив голову, ты замечаешь на шлеме сбоку большущую рваную дыру. Кусочки железа
    прогнулись внутрь кривыми завитками. Этот шлем снимали с мертвого. Потому что
    одни только завитки от дыры выбили бы мозги наружу.
    ]],
    obj = {
        obj { nam='', dsc=[[{Поговорить с мастером. } ^]],  act=code[[ walk (dialog_bunker_3_master) ]] },
        obj { nam='', dsc=[[{Стащить деталь со стола. } ^]],  act=code[[ walk (dialog_bunker_3_master_steal) ]] },
    },
    way = {
        'loc_bunker_3_hall',
    },
};


game_bos_bunker_3_troubles = room {
    nam = "Мастерская",
    pic = "gfx/bos/bunker/3/workshop.jpg",
    dsc = function(s)
    if bunker_steal_troubles == 1 then
        p [[
        - Будь спок и никто не пострадает. ^
        ]]
    elseif bunker_steal_troubles == 2 then
        p [[
        - Отлично. Тогда мы без проблем подождем кого нужно. Так? ^
        Мастер откатывается на стуле назад и извлекает из-под стола пистолет. ^
        - Ведь так? ^
        ]]
    elseif bunker_steal_troubles == 3 then
        p [[
        Едва ты тянешься к ремню с обрезом, мастер откатывается назад на
        стуле и извлекает из-под стола пистолет. ^
        - Спокойно. Убери руки от ремня. Все будет хорошо. ^
        ]]
    elseif bunker_steal_troubles == 4 then
        p [[
        Раздается выстрел. Лицо мастера скрывается за легкой дымкой из его
        пистолета. В плече, на котором ты несешь обрез, чувствуется резкая
        боль. Обрез соскальзывает с плеча. ^
        - Я предупреждал. ^
        Ещё один выстрел.  ^
        Нуэн с воплем стаскивает свой дробовик и прыгает за стол. ^
        ]]
    end    
    p [[
    За твоей спиной раздается тяжелый звук, ты поворачиваешься... ^
    И страшный удар между лопаток валит тебя на землю. В глазах
    вспыхивают красные круги. Слева раздается сдавленный крик.
    Ты пытаешься приподняться, но удар по спине снова сваливает
    тебя. Красные круги сменяются черными. ^
    - Другого хватай! Другого! ^
    Справа слышна возня. Ты поворачиваешь голову, снеся один удар
    по ногам, и видишь скрученного Нуэна. Рядом с ним лежит
    его обрез, сломанный в затворе. ^
    Слева раздается вопль Маккинли: ^
    - За что!? За что!! - после чего ты погружаешься в темноту.
    Откуда-то издалека ещё слышны причитания Эндрю, но они
    постепенно отдаляются и тебя обволакивает пустота.
    ]];
    end,
    obj = {
        obj { nam='', dsc=[[{Далее} ^]],  act=code[[ walk (game_bos_bunker_3_troubles_2) ]] },

    },
};


game_bos_bunker_3_troubles_2 = room {
    nam = "???",
    pic = "gfx/bos/bunker/bos_logo.jpg",
    dsc = [[
    ... ^
    что за мудаки ^
    ... ^
    потом поговорю ^
    ... ^
    нет, ориентируйся по сокращению вены ^
    ... ^
    сильно досталось! ^
    ...
    ]],
    obj = {
        obj { nam='', dsc=[[{Далее} ^]],  act=code[[ walk (game_bos_bunker_3_troubles_3) ]] },

    },
};


game_bos_bunker_3_troubles_3 = room {
    nam = "Госпиталь",
    pic = "gfx/bos/bunker/2/hospital.jpg",
    dsc = [[
    Тьма постепенно отступает. Впереди дребезжит кружочек света. Кружок
    становится кругом и белый свет плавно переходит в зеленый. Круг уходит.
    По краям возникают маленькие белые пучки света. Зеленый свет меркнет. ^
    Несколько раз моргнув глазами, ты различаешь отдельные очертания, и
    вскоре настраиваешь разкость. Ты в больничной палате Братства и
    смотришь на стену.  ^
    Что же произошло? ^
    Кажется, вы пришли в Братство... и как же ты оказался здесь? ^
    В палату входит пожилой мужчина в военной форме. ^
    - Я прошу прощения за нашего мистера Кэмпбэлла - он немного погорячился. ^
    Кэмпбэлл? Знакомая фамилия. Так, кажется, звали ремонтника в Хабе.
    Или Джанктауне. Нет, где-то в другом месте... ^
    - Ваш напарник уже рассказал мне цель вашего визита. Они чувствуют
    себя намного лучше, чем вы. Я должен извиниться и за одного из наших
    охранников - он тоже немного погорячился, поставив вам огромную
    гематому на спине. ^
    Ты пытаешься повернуться, но чувствуешь острую боль в спине. Значит
    тебе врезал какой-то охранник. Но за что? И причем здесь Кэмпбэлл,
    если бил охранник? ^
    - Боль пройдет через пару часов, когда подействует болеутоляющее.
    Пока что можете поспать. После этого мы встретимся у меня в
    кабинете. Всего доброго. ^
    Мужчина разворачивается и выходит. Вслед за ним входит девушка в
    белом халате. ^
    - Здравствуйте, меня зовут Лорри, я ваш доктор. Пожалуйста ответьте
    на несколько вопросов, чтобы мы могли составить вам наиболее
    подходящий курс лечения. ^
    Она задает какие-то банальные вопросы, ты, не думая отвечаешь,
    наполовину проваливаясь в сон. Свой голос ты слышишь уже издалека.  ^
    Тьма снова окутывает тело.
    ]],
    obj = {
        obj { nam='', dsc=[[{Далее} ^]],  act=code[[ walk (game_bos_bunker_3_troubles_4) ]] },
    },
};


game_bos_bunker_3_troubles_4 = room {
    nam = "Госпиталь",
    pic = "gfx/bos/bunker/2/hospital.jpg",
    dsc = [[
    Проснувшись через неопределенное время, ты чувствуешь себя намного лучше.
    Подействовало болеутоляющее, не иначе. Синяк на спине от этого не прошел,
    а в той области ты ощущаешь бесчувственное "белое пятно". ^
    Одевшись, ты выходишь из палаты в приемную. Остальные твои друзья уже
    там и отвечают на вопросы хорошенькой медсестры. Увидя тебя, она
    говорит, что Максон ждет вас на четвертом этаже в своем кабинете.  ^
    Маккинли и Нуэн прощаются с медсестрой и вы выходите их больничной палаты.  ^
    Побудка уже не только началась, но и давно прошла. Из лифта выходят шестеро
    солдат в полном обмундировании и идут в направлении казарм. Зайдя в лифт,
    вы ещё некоторое время блуждаете в нем по этажам, следуя вызовам его
    со всех концов. Наконец-то вы на четвертом этаже.
    ]],
    obj = {
        obj { nam='', dsc=[[{Идти вперед.} ^]],  act=code[[ walk (game_bos_bunker_3_troubles_5) ]] },

    },
};

game_bos_bunker_3_troubles_5 = room {
    nam = "Четвертый этаж",
    pic = "gfx/bos/bunker/4/maxon_room.jpg",
    dsc = [[
    Наспех миновав бесчисленное множество охранников, вы входите в дверь,
    над которой укреплена золотая табличка с рельефными буквами:
    "Офицерские казармы".  ^
    Ожидая увидеть обыкновенные казармы, хоть и расширенные, ты порядком
    удивлен увиденным. Просторный зал с большим дубовым столом посередине
    и охранниками в углах. Несколько дверей в задней стене. Стена с
    экранами слева. Несколько теримналов у входа. Пожилой мужчина в
    форме за столом, увидев вас, подзывает к себе. Табличка на столе
    с головой выдает его звание: "Генерал Максон". Впрочем, огромные
    звезды на погонах могут сказать то же самое. ^
    - Присаживайтесь. ^
    Вы берете несколько стандартных военных стульев у стены и
    подсаживаетесь к столу. Максон некоторое время что-то
    дописывает, потом откладывает ручку и убирает листы: ^
    - Давайте попробуем разобраться в вашей ситуации.
    ]],
    obj = {
        obj { nam='', dsc=[[{Рассказать о проблеме с супермутантами и Джанктауном.} ^]],  act=code[[ walk (game_bos_bunker_4_8) ]] },
    },
};


-- library

loc_bunker_3_library = room {
    nam = "Библиотека",
    pic = "gfx/bos/bunker/3/library.jpg",
    dsc = [[
    В воздухе пахнет озоном - видимо, от большого количества постоянно
    работающих компьютеров. Дюжина терминалов, сделанных по технологии
    Братства и несколько больших блоков у стен превращают зал в Центр
    Управления Кораблем из фантастических комиксов. ^
    Три человека в рясах не вписываются в эту картину. Один что-то
    усердно набирает на клавиатуре, другой (похоже, девушка, с очень
    тонкой прической и "хвостиком") ходит от одного терминала у
    другому и делает записи в блокнот, а третий мирно спит лицом
    в экране.  ^
    Остальные терминалы отключены, и лучше их не включать
    без надобности.
    ]],
    obj = {
        obj { nam='', dsc=[[{Поговорить с девушкой.} ^]],  act=code[[ walk (dialog_bunker_3_vree) ]] },
        obj { nam='', dsc=[[{Поговорить с человеком.} ^]],
        act=[[
        Ты пытаешься отвлечь человека от работы. ^
        - Извините, я щас не могу разговаривать, я на пороге величайшего, блин, открытья!
        ]]
        },
        obj { nam='', dsc=[[{Осмотреть блоки и терминалы.} ^]], 
        act=[[
        Ты подходишь к блокам у стен. ^
        От блока слышно тихое мерное гудение. На верхней его части медленно вращаются
        два диска с пленкой. Странно, что у них используются эти пленки - это ведь
        старье! Терминалы же, напротив, выглядят очень круто - полная противоположность
        махинам от Vault-Tek. Ты где-то слышал, что у Vault-Tek оборудование
        полностью ламповое, так как электромагнитный импульс, расходящийся от атомных
        бомб на много сотен километров, уничтожает всю электронику, а ламповым
        приборам на это глубоко пофигу. Конечно, самые крутые компьютеры,
        использующиеся для управления целыми Убежищами, сделаны по нормальным,
        электронным технологиям, только они заключены в специальные блоки, не
        пропускающие электромагнитные волны. Но ведь каждый компьютер в такой
        блок не засунешь. ^
        А теперь бомб уже бояться нечего, и Братство возвращается к старым
        технологиям XX века, которые сейчас оказываются очень кстати.
        ]] },
    },
    way = {
        'loc_bunker_3_hall',
    },
};





