global {
    password_incorrect = [[
        ПАРОЛЬ НЕВЕРНЫЙ! ^
        ВВЕДИТЕ ПАРОЛЬ: ^
        > _ ^

    ]],
};


game_bos_bunker_4_msbos = dlg {
    var {
        tries = 0;
        max_tries = 2;
    };
    nam = 'Терминал Максона',
    pic = "gfx/bos/bunker/terminal.gif",
    entered = [[
    -------- ^
    Генерал Максон, ^
    Ваш персональный почтовый терминал приветствует вас!
    Для отправки сообщений ВВЕДИТЕ ПАРОЛЬ: ^
    > _
    ]],
    dsc = nil,
    phr = {
        { tag = 'pass1',
         'Maxon', 
            function(s)
                pn "> Maxon";
                p (password_incorrect);
                here():password_tried();
            end
        },
        { tag = 'pass2',
         'Unknown', 
            function(s)
                pn "> Unknown";
                p (password_incorrect);
                here():password_tried();
            end
        },
        { tag = 'pass_correct',
         always = true, 'Brotherhood of Steel', 
            function(s)
                p [[            
                ------------ ^
                Генерал Максон, ^
                Ваш персональный почтовый терминал приветствует вас! ^
                ПОЛУЧЕННЫЕ СООБЩЕНИЯ: ^            
                ------------
                ]];
                poff('pass1');
                poff('pass2');
                poff('pass3');
                poff('pass4');
                poff('pass5');
                poff('pass6');
                psub('mail');
            end
        },     
        { tag = 'pass3',        
         'Exellent', 
            function(s)
                pn "> Exellent";
                p (password_incorrect);
                here():password_tried();
            end
        },    
        { tag = 'pass4',
        'Power armor', 
            function(s)
                pn "> Power armor";
                p (password_incorrect);
                here():password_tried();
            end
        },            
        { tag = 'pass5',
        'God', 
            function(s)
                pn "> God";
                p (password_incorrect);
                here():password_tried();
            end
        },        
        {  tag = 'pass6',
        'Chosen', 
            function(s)
                pn "> Chosen";
                p (password_incorrect);
                here():password_tried();
            end
        },                   
        { always = true, '/ - Выход -', 
            function(s)
                p [[
                ^
                Работа с терминалом завершена. ^
                --------
                ]];            
                back();
            end
        },
        { tag = 'mail' },
        {
        always = true, 
        "/ Ромбус Re: Re: Сомнение 19.08.2161", 
        function(s)
            p [[
            -------- ^
            Отправитель: Ромбус ^
            Тема: Сомнение ^
            Дата отправления: 19.08.2161 ^
            -------- ^
            Максон, ^
            Я не знаю, готов ли к этому. Как поведут себя эти
            "офицеры крайней казармы"? Они весьма влиятельные личности
            среди своих подчиненных. Не исключено, что в этом случае
            нам придеться их убрать, но в этом случае я - пас. И что
            станет с нами в будущем? Но времени у нас становится
            меньше, лучше действовать сейчас, во время войны. ^
            И помни - я всегда был с тобой. И буду на этот раз. ^
            Искренне твой,  ^
            Ромбус. ^
            P.S. Я убью Таллуса раньше, чем он поднимет оружие
            в твою сторону. Не бойся его. ^
            --------
            ]];
        end
        },    
        {
        always = true, 
        "/ Рабински Обезоружение 19.08.2161", 
        function(s)
            p [[
            -------- ^
            Отправитель: Рабински ^
            Тема: Обезоружение ^
            Дата отправления: 19.08.2161 ^
            -------- ^
            Генерал Максон, ^
            В соответствии с вашими указаниями, все лазерные пистолеты в
            Братстве были деактивированы. Жду дальнейших указаний. ^
            Заведующий складом Майкл Рабински. ^
            Да здравствует Новый Порядок! ^
            --------
            ]];
        end
        },
        {
        always = true, 
        "/ Совет Re: Вы разоблачены 18.08.2161", 
        function(s)
            p [[
            -------- ^
            Отправитель: Совет ^
            Тема: Re: Вы разоблачены ^
            Дата отправления: 18.08.2161 ^
            -------- ^
            Генерал Максон, ^
            Ваши обвинения в адрес Совета Старейшин в мифическом "заговоре"
            лишены здравого смысла. У нас нет ни одного мотива поступать 
            так, как вы считаете мы поступаем или хотим поступить.
            В Братстве Стали с самого основания был порядок, установленный
            вашим отцом, и Братство выстояло только потому, что оно
            ни на шаг не отступало от него. Если сместить баланс в одну
            из сторон - порядок нарушится и Братство навсегда перестанет
            быть таким, какое оно есть сейчас. ^
            В фоне последних событий и ваших ответных действий, мы
            начинаем всерьез беспокоиться о вашем психическом здоровье.
            Если это будет повторяться впредь, мы будем вынуждены
            поставить на рассмотрение вопрос о вашем смещении с
            должности генерала Братства Стали.  ^
            Перечитайте предыдущее предложение ещё раз и хорошо
            обдумайте его. ^
            Совет Старейшин. ^
            --------
            ]];
        end
        },
        {
        always = true, 
        "/ Ромбус Новый Порядок 17.08.2161", 
        function(s)
            p [[
            -------- ^
            Отправитель: Ромбус ^
            Тема: Новый Порядок ^
            Дата отправления: 17.08.2161 ^
            -------- ^
            Максон, ^
            То, что мне сказал Таллус - правда? Ты действительно хочешь
            сделать это?! Ты представляешь, какими будут последствия?
            Мы навсегда останемся простой группой вооруженных людей,
            у нас не будет ученых, мастеров, исследователей, у нас
            не будет ничего! Черт, наша ПВКС - у нас не будет даже
            ее! Вдумайся - НИЧЕГО! Что мы будем делать после?  ^
            Мы не можем обсуждать эту тему по сети. Встретимся у
            меня сегодня после отбоя. ^
            Ромбус. ^
            --------
            ]];
        end
        },                        
        {
        always = true, 
        "/ Таллус Прекрати это 15.08.2161", 
        function(s)
            p [[
            -------- ^
            Отправитель: Таллус ^
            Тема: Прекрати это ^
            Дата отправления: 15.08.2161 ^
            ------- ^
            Никогда. Если ты начнешь это, я возьму своих ребят и мы
            будем отстаивать Братство до последней капли крови. ^
            Запомни это. ^
            Таллус. ^
            --------
            ]];
        end
        },
        {
        always = true, 
        "/ Нокерсон Потери 14.08.2161", 
        function(s)
            p [[
            -------- ^
            Отправитель: Томас Нокерсон ^
            Тема: Потери ^
            Дата отправления: 14.08.2161 ^
            -------- ^
            Генерал Максон, ^
            Я только что вернулся с северного патрулирования. Весь мой отряд
            кроме меня и одного новобранца разбит. Они ещё не готовы к войне.
            Я рекомендую увеличить время подготовки ещё хотя бы на неделю.
            В противном случае новобранцы - просто пушечное мясо.  ^
            Я не понимаю цели вашей политики касательно новобранцев. К чему 
            такие жертвы? И у меня ещё один серьезный вопрос - зачем создавать
            целых десять групп, состоящих из лучших офицеров Братства и
            посылать их на столь дальние патрулирования? В случае опасности
            они смогут достигнуть базы только на вторые сутки! Все! Не лучше
            ли оставить одну группу на прикрытие? ^
            Сержант Нокерсон. ^
            P.S. Новичка, Бонни Фоуэла, что выжил, я рекомендую повысить
            в звании и перевести в одну из ваших "штурмовых групп дальнего
            действия". Из него получится хороший солдат. ^
            --------
            ]];
        end
        },                    
        { always = true, '/ - Закрыть -', 
            function(s)
                p [[
                ^
                Работа с почтой завершена. ^
                --------
                ]];
                pret();        
            end
        },        
    },

    password_tried = function(s)
        incr(s, 'tries', 1);
        if s.tries >= s.max_tries then
            poff('pass1');
            poff('pass2');
            poff('pass3');
            poff('pass4');
            poff('pass5');
            poff('pass6');
            poff('pass_correct');
        end
    end;

};

