-- gfx/desert.jpg
-- gfx/desert/postoutside.jpg
-- gfx/desert/night.jpg
-- gfx/bos/bunker_entrance.jpg


game_bos_desert = room {
    nam = "Пустошь",
    pic = "gfx/desert.jpg",
    dsc = [[
    Вы выходите на дорогу и идете по ней некоторое время.  ^
    Кое-где попадаются уцелевшие остатки асфальта. Большие бесформенные кучи
    смолы, песка и камня, проседающие в землю, скорее мешают движению, создавая
    серьезные преграды для тяжелых караванов. Дорога со времен постройки
    значительно расширилась, так как раньше на месте Джанктауна была огромная
    свалка металлолома, и в сколько-нибудь серьезной транспортной связи не
    нуждалась. Теперь это довольно просторная вытоптанная в песках колея,
    идти по которой можно быстро и удобно. ^
    Но есть и обратная сторона медали. Дороги являются излюбленным местом
    рейдеров, грабителей и прочих преступников, готовых убить за один доллар.
    Спрятаться здесь не представляет особого труда - достаточно выкопать в
    песке небольшую ямку, положить сверху стальной или фанерный лист,
    присыпать его и лечь в получившуюся мини-землянку. По счастью, днем в
    таком тайнике находиться невозможно, и нападения чаще случаются
    вечерами или ночью.  ^
    Конечно, вся эта теория не нужна тем, кто позаботился о хорошей охране
    своего каравана или припас для врагов хорошую пушку. Но ведь существуют
    и не только рейдеры...
    ]],
    obj = {
        obj { nam='', dsc=[[{Идти по дороге} ^]],  act=code[[ walk (game_bos_desert1a) ]] },

    },
};

game_bos_desert1a = room {
    nam = "Пустошь",
    pic = "gfx/desert.jpg",
    dsc = [[
    Страшная радиация, глобальное изменение климата, потепление, изменение уровня
    моря - все это не могло не отразиться на флоре и фауне планеты. Что стало
    в других местах, неизвестно, но здесь, в Южной Калифорнии, мутировали почти
    все известные виды животных и растений. Громадных размеров скорпионы,
    крысы-медведи, полностью и окончательно мутировавшие коровы-брамины, и над
    всем этим зверинцем возвышается словно Венец Мутации - Рука Смерти, самое
    страшное чудовище за последние 60 миллионов лет. Ей далеко до любого хищного
    динозавра в физических показателях, но у нее есть Ум, что намного более важно.
    Даже одна Рука Смерти способна перебить целую толпу хорошо вооруженных людей,
    а если их две, то это их слаженным действиям может позавидовать любой командир. ^
    Она настолько страшна собой, что от ее вида даже часы остановятся. Она даже
    может загипнотизировать человека. Твои руки и ноги не слушаются тебя, ты
    можешь только пассивно наблюдать за тем, как твое тело превращается
    в очередной обед для этого чудовища... ^
    Впрочем, это все только слухи, потому что мало кому удавалось выжить
    после встречи с этим монстром.
    ]],
    obj = {
        obj { nam='', dsc=[[{Идти дальше по дороге} ^]],  act=code[[ walk (game_bos_desert1b) ]] },

    },
};


game_bos_desert1b = room {
    nam = "Пустошь",
    pic = "gfx/desert.jpg",
    dsc = [[
    Пару раз вы наткнулись на остатки неудачливых путешественников. На попытку Нуэна
    обыскать трупы Стилс только бросил "не отставать" и пошел дальше. Через несколько
    минут Нуэн догнал вашу группу. ^
    - Чего нашел? - спросил его Маккинли. ^
    Нуэн только состроил кислую рожу и что-то невнятно пробормотал. Правую руку он
    пытался вытереть песком - она была вся в крови. Наверное, засунув ее в карман
    одежды трупа, он наткнулся на развороченные кишки.
    ]],
    obj = {
        obj { nam='', dsc=[[{Идти по дороге} ^]],  act=code[[ walk (game_bos_desert2) ]] },
    },
};


game_bos_desert2 = room {
    nam = "Будка",
    pic = "gfx/desert/postoutside.jpg",
    dsc = [[
    Вы проходите мимо какой-то будки со шлагбаумом.
    Видимо, это была либо граница частной собственности, либо простой аванпост.
    Стекла пуленепробиваемые. Стекло запылилось и просто так ничего нельзя разглядеть.
    Дверь в будку снаружи подперта массивного вида железным обломком.
    ]],
    obj = {
        obj { nam='', dsc=[[{Предложить осмотреть будку} ^]],  act=code[[ walk (game_bos_post1) ]] },
        obj { nam='', dsc=[[{Пройти мимо} ^]],                 act=code[[ walk (game_bos_desert3) ]] },
    },
};


global {
    desert_stop = 0,
}

game_bos_desert3 = room {
    nam = "Пустошь",
    pic = "gfx/desert.jpg",
    dsc = [[
    Вы проходите мимо будки, даже не посмотрев в ее сторону. Интересно, что
    там было? И почему дверь была подперта баррикадой? Но вспоминать уже
    поздно - будка давно скрылась за холмом.
    ]],
    obj = {
        obj { nam='', dsc=[[{Идти по дороге} ^]],  act=code[[ walk (game_bos_desert3a) ]] },
    },
};    
    
game_bos_desert3a = room {
    nam = "Пустошь",
    pic = "gfx/desert.jpg",
    dsc = [[    
    Ваши тени уже слегка удлинились - время полудня уже прошло. Но жара
    все так же осталась. Солнце печет нещадно. Ноги слегка обжигает сквозь
    твою протершуюся подошву. Ты зачерпываешь горсть песка с земли и тут
    же сильно обжигаешь руку. Бросив песок на дорогу, ты идешь дальше,
    обдувая ладонь. ^
    Впереди видна развилка. Скорее, что дорога, по которой вы идете, резко
    поворачивает налево, а к ней справа присоединяется небольшая тропинка,
    протоптанная явно после войны. Стилс, не говоря не слова, сворачивает
    на нее и даже не поворачивается, чтобы проверить, с ним ли вы ещё.
    Как будто вас тут сроду и нет. ^
    Через некоторое время ходьбы под палящим солнцем кто-то предложил
    сделать привал. ^
    - Потом! - гавкнул Стилс. ^
    И вы пошли дальше, изнывая от страшной жары
    и усталости в ногах. На лице Маккинли написано безразличие к
    происходящему, он, кажется, о чем-то напряженно думает. Нуэн либо
    совсем не устал, либо не хочет это показывать. С его характером - скорее
    второе. Лица Стилса (хотя это скорее не лицо, а тупая харя взбешенной
    плоскомордой псины) тебе не видно, но он, похоже, не устанет никогда.
    Он как заведенный робот, будет идти хоть сутки, пока его ноги не
    откажут. А когда их сведет судорога или ещё что, он просто поползет
    по дороге на руках... ^
    Тени удлинились ещё на целый фут.
    ]],
    obj = {
        obj { nam='', dsc=[[{"Все! Привал! Марш окончен!"} ^]], act=code[[ desert_stop = 1 ; walk (game_bos_desert4) ]] },
        obj { nam='', dsc=[[{Идти дальше} ^]],                  act=code[[ desert_stop = 2 ; walk (game_bos_desert4) ]] },
    },
};


game_bos_desert4 = room {
    nam = "Пустошь",
    pic = "gfx/desert.jpg",
    dsc = function(s)
    if desert_stop == 1 then
        p [[
        - Все! Привал! Марш окончен! - кричишь ты идущему впереди Стилсу. ^
        Маккинли не стал дожидаться его ответа и на пару с Нуэном завалился в уже
        приличную тень высохших придорожных деревьев. ^
        ]]
    elseif desert_stop == 2 then
        p [[
        Ты решаешь все же пройти ещё немного, но Нуэн свернул с дороги и с
        размаху свалился в уже приличную тень высохших деревьев. Маккинли
        последовал его примеру. ^
        ]]
    end
    p([[
    Ты тоже решил не отставать и присел под одно из того, что раньше было
    массивным столетним дубом. Или сосной. ^
    Какая разница, ты все равно никогда не видел их. С пояса ты снял фляжку
    с водой, отвинтил стандартную военную крышку, хлебнул освежающей воды и
    передал фляжку дальше.  ^
    Господи, как это приятно - просто выпить холодной воды! В жаркий день
    после изнуряющего марша по пыльной дороге - это самое то. Ты ещё не
    решаешься сглотнуть воду, а, смакуя процесс, болтаешь ее во рту.
    Это у тебя вызывает очень странные ассоциации, и ты быстро сглатываешь
    ее, чтобы не подавиться от смеха.  ^
    Фляжка возвращается к тебе. Ты отпиваешь ещё немного и рассматриваешь ее. ^
    ]]..img('gfx/desert/flask.gif')..[[
    Эту фляжка досталась тебе ещё от твоего деда. Ты не застал его, так как
    он слишком рано умер от радиации. Отец рассказывал тебе, что спасшиеся
    в убежищах стали очень чувствительными к новому климату и атмосфере. Выйдя
    на поверхность, они мерли как мухи спустя какое-то время. Почти никто
    не смог прожить в новом мире больше десяти-пятнадцати лет. За короткий
    промежуток времени остатки нации резко помолодели. Социологи начала XXI
    века скорее бы сожрали свои статистические таблицы, чем поверили в такое. ^
    На фляжке помимо номера "27" была выцарапана рукой деда надпись. "Только
    попробуй посеять ЭТО!". Вдруг тебе показалось, что чего-то не хватает. ^
    - А где этот дебил? - неожиданно спрашивает Маккинли.
    ]])
    end,
    obj = {
        obj { nam='', dsc=[[{Осмотреться по сторонам} ^]],  act=code[[ walk (game_bos_desert5) ]] },
    },
};


game_bos_desert5 = room {
    nam = "Пустошь",
    pic = "gfx/desert.jpg",
    dsc = [[
    Действительно, Стилса нигде нет! ^
    Нуэн встает и оглядывается вокруг. Стилс бесследно исчез.
    Видно, ушел дальше без вас.  ^
    - Ну что за идиот, честное слово. Как маленький упрямый ребенок.
    Скотина хренова, - Нуэн зло плюет под ноги.  ^
    - Может мы уже сами сможем добраться до Братства? Мне кажется,
    эта дорога ведет прямо к нему... ^
    Вдруг невдалеке вы слышите сдавленный крик. Через секунду он быстро
    слабеет и обрывается. Как обрывается осенняя тонкая паутинка.
    В воздухе повисает тишина.
    ]],
    obj = {
        obj { nam='', dsc=[[{Бежать на крик} ^]],      act=code[[ walk (game_bos_desert_beast_1) ]] },
        obj { nam='', dsc=[[{Прислушаться} ^]],        act=code[[ walk (game_bos_desert_beast_2) ]] },
        obj { nam='', dsc=[[{Отхлебнуть из фляги} ^]], act=code[[ walk (game_bos_desert_beast_3) ]] },
    },
};




game_bos_desert_beast_1 = room {
    nam = "Пустошь",
    pic = "gfx/desert.jpg",
    dsc = [[
    Ты срываешься с места и бежишь по дороге туда, откуда слышался крик,
    по пути запихивая флягу в нагрудный карман куртки. Ты не замечаешь,
    что вода расплескивается тебе на грудь и по футболке начинает
    расползаться мокрое пятно. Кажется, крик раздавался из-за холма. ^
    Ещё один протяжный вопль! На этот раз кричал точно Стилс - хотя
    в нем чувствуется страх. Именно такой голос был у него в Джанктауне,
    во время инцедента с Нуэном. Кстати, где твои друзья по несчастью? ^
    Все ещё на месте. Кажется, Нуэн что-то кричит. И что-то тебе
    показывает. Кажется, палец. И до тебя долетают обрывки слов
    "тупой", "какого", "нахрен" и другие, по содержанию мало чем
    отличающиеся от этих.  ^
    Нуэн, ты всю свою жизнь был куском дерьма. Ты пристрелил ученого
    из Хаба только потому, что он потянулся к поясу с пистолетом.
    Ты убил несчастного бандита из-за слишком громкой команды.
    А теперь ты хочешь уничтожить свой город из-за своей глупой
    гордыни. Черт, ты мало чем отличаешься от того, кого ты сейчас
    бросаешь в беде. Так что засунь себе свой палец туда где
    темно и тепло, и можешь в такой позе скакать вплоть до
    противоположного побережья. ^
    Вот ты уже на вершине холма. ^
    На желтой земле перед тобой лежит кто-то в зеленой форме. Не иначе
    как Стилс. Он пытается дотянуться до откинутой в сторону винтовки.
    Краем глаза ты замечаешь какое-то существо в стороне. Оно быстро
    скрывается за скалой, увидев тебя и больше не появляется. ^
    - Медик!!! - во всю глотку орет Стилс.
    ]],
    obj = {
        obj { nam='', dsc=[[{Спуститься к Стилсу} ^]],  act=code[[ walk (game_bos_desert_beast_4) ]] },

    },
};


game_bos_desert_beast_2 = room {
    nam = "Пустошь",
    pic = "gfx/desert.jpg",
    dsc = [[
    Некоторое время ты прислушиваешься.  ^
    Ещё один протяжный вопль! На этот раз кричал точно Стилс - хотя
    в нем чувствуется страх. Именно такой голос был у него в
    Джанктауне, во время инцидента с Нуэном. Он, как и ты,
    безразлично вслушивается в звуки пустыни, с радостью убеждаясь,
    что это кричал Стилс. ^
    - Медик!!! - раздается хриплый вопль Стилса. ^
    - Ну что, может поможем суперкомандиру?  ^
    - Но только чуть-чуть, - соглашается Нуэн. ^
    Вы вместе не спеша поднимаетесь на холм. Ты идешь чуть впереди
    остальных. ^
    Вот ты уже на вершине холма. ^
    На желтой земле перед тобой лежит кто-то в зеленой форме.
    Не иначе как Стилс. Он пытается дотянуться до откинутой в
    сторону винтовки. Краем глаза ты замечаешь какое-то существо
    в стороне. Оно быстро скрывается за скалой, увидев тебя и
    больше не появляется.
    ]],
    obj = {
        obj { nam='', dsc=[[{Спуститься к Стилсу.} ^]],  act=code[[ walk (game_bos_desert_beast_4) ]] },
    },
};


game_bos_desert_beast_3 = room {
    nam = "Пустошь",
    pic = "gfx/desert.jpg",
    dsc = [[
    Ты снова садишься в тень и с беззаботным видом прислоняешься
    к фляжке. Кто-то кричал? А, какая разница. Никто не кому не
    помогает в этом мире, так и мы не будем. От бобра добра не ищут. ^
    Ещё один глоток прохладной воды. ^
    Интересно, что такое бобра? ^
    Ещё один протяжный вопль! На этот раз кричал точно Стилс - хотя
    в нем чувствуется страх. Именно такой голос был у него в
    Джанктауне, во время инцедента с Нуэном. Они, как и ты, безразлично
    вслушиваются в звуки пустыни, с радостью убеждаясь, что это
    кричал Стилс. ^
    Вдруг издалека раздается ТАКОЙ крик, что от него кровь стонет
    в жилах. Крик раздирает душу и заставляет призадуматься о
    таких вещах, как кровь, боль, ободранное горло, сорванные
    связки и лопнувшие барабанные перепонки.  ^
    - Только что звонили из Китая - у нас тут слишком шумно... ^
    - Нет, ТАК человек кричать не может. Быстрее идем, пока
    ничего не случилось. ^
    Ты вырываешься вперед и вот ты уже на вершине холма. ^
    На желтой земле перед тобой лежит кто-то в зеленой форме.
    Не иначе как Стилс. Он пытается дотянуться до откинутой в
    сторону винтовки. Краем глаза ты замечаешь какое-то существо
    в стороне. Оно быстро скрывается за скалой, увидев тебя и
    больше не появляется.
    ]],
    obj = {
        obj { nam='', dsc=[[{Спуститься к Стилсу.} ^]],  act=code[[ walk (game_bos_desert_beast_4) ]] },
    },
};

global {
    desert_beast_choice = 0;
}


game_bos_desert_beast_4 = room {
    nam = "Пустошь",
    pic = "gfx/desert.jpg",
    dsc = [[
    Ты бежишь под откос, едва не падая и почти вылетаешь к раненому
    Стилсу. Вместо ноги у того какое-то кровавое месиво. ^
    - Пришлепни эту тварь, рядовой!!! - уже хрипя кричит он. ^
    Ты оглядываешься вокруг, но существо так и не появляется. Снова
    смотришь на остатки ноги Стилса. Нет, это тебе не по плечу.
    Ты громко зовешь Маккинли. У того вроде был какой-то разряд
    по медицине. Получил за пятьсот баксов у Морбида. Маккинли
    появляется на вершине холма и спускается к тебе. Со стороны
    можно принять его за средних размеров перекати-поле, но только
    если в нем вместо травы куча тряпок.  ^
    - Ветеринар прибыл. Где больная? ^
    Маккинли опускается на колени и нехотя перетягивает рану
    какой-то тряпкой. Ему приходится по локоть закатать рукава,
    чтобы не запачкать форму. Наконец импровизированный жгут
    наложен. Он уже насквозь пропитался кровью, и скоро его
    придеться поменять. ^
    - Чем я могу отплатить вам? - спрашивает Стилс. В его
    голосе чувствуются добрые нотки.  ^
    - Трех комплектов моторизированной брони будет
    достаточно, - полушутя ответил Маккинли. ^
    - Броня дается только паладинам, но я посмотрю,
    что можно сделать. ^
    У него ещё и нет чувства юмора. ^
    Через пять минут Маккинли окончательно перевязывает рану,
    дезинфецирует ее, очищает от грязи и убирает все лишнее.
    Среди лишнего ты замечаешь ступню Стилса. Ты спрашиваешь
    Маккинли, что с ним. ^
    - Больной либо выживет, либо умрет, - без тени улыбки
    говорит тот, - я действительно не знаю, что это такое.
    Что ты видел?
    ]],
    obj = {
        obj { nam='', dsc=[[{"Страшная черная лохматая Рука Смерти с вооот такими зубами."} ^]],
              act=code[[ desert_beast_choice = 1 ; walk (game_bos_desert_beast_5) ]] },
        obj { nam='', dsc=[[{"Я не видел. Оно убежало раньше, чем я разглядел его."} ^]],
              act=code[[ desert_beast_choice = 2 ; walk (game_bos_desert_beast_5) ]] },
        obj { nam='', dsc=[[{"Волк. Мантис. Змея. Крыса. У вас есть только одна подсказка."} ^]],
              act=code[[ desert_beast_choice = 3 ; walk (game_bos_desert_beast_5) ]] },
    },
};


game_bos_desert_beast_5 = room {
    nam = "Пустошь",
    pic = "gfx/desert.jpg",
    dsc = function(s)
    if desert_beast_choice == 1 then
        p [[
        Маккинли с некоторым недоверием смотрит на тебя. Потом переводит
        взгляд на Стилса. Так его взгляд блуждает некоторое время, как
        у зрителя на теннисном матче. Такие матчи иногда проводились на
        пустыре за Джанктауном. Деревянная рогатина с натянутыми между
        ветками просушенными жилами браминов или кожей гекконов, а
        вместо мяча - хорошо сшитый кусок тряпки, набитый войлоком
        из матрасов. ^
        - Ну... я не знаю... я никогда не видел эту Руку... она
        ядовитая? - задает он сам себе вопрос, - нет, не ядовитая,
        иначе бы уже были случаи отравления... - он поворачивается
        к стонущему Стилсу, - кто напал на тебя? ^
        ]]
    elseif desert_beast_choice == 2 then
        p [[
        - Это очень плохо, что мы не знаем, что на него напало... ^
        Он смотрит то на ногу Стилса, то на скалу, куда убежала тварь.
        Так его взгляд блуждает некоторое время, как у зрителя на теннисном
        матче. Такие матчи иногда проводились на пустыре за Джанктауном.
        Деревянная рогатина с натянутыми между ветками просушенными
        жилами браминов или кожей гекконов, а вместо мяча - хорошо сшитый
        кусок тряпки, набитый войлоком из матрасов. ^
        - Ну... я не знаю... если эта тварь ядовитая... - он
        поворачивается к стонущему Стилсу, - кто напал на тебя? ^
        ]]
    elseif desert_beast_choice == 3 then
        p [[
        - Я бы оценил твое чувство юмора, будь мы в другой ситуации.
        Значит ты не видел, что это было...  ^
        Он смотрит то на ногу Стилса, то на скалу, куда убежала тварь.
        Так его взгляд блуждает некоторое время, как у зрителя на
        теннисном матче. Такие матчи иногда проводились на пустыре
        за Джанктауном. Деревянная рогатина с натянутыми между ветками
        просушенными жилами браминов или кожей гекконов, а вместо
        мяча - хорошо сшитый кусок тряпки, набитый войлоком из матрасов. ^
        - Ну... я не знаю... если эта тварь ядовитая... - он
        поворачивается к стонущему Стилсу, - кто напал на тебя? ^
        ]]
    end
    p [[
    - Мерзкая вонючая тварь желтого цвета! Появилась из песка! Она
    впилась в мою ногу! Я теперь не смогу бегать несколько дней! ^
    Нет, парень, ты теперь вообще никогда не будешь бегать. Твоя
    военная карьера окончена, какой бы она не была. ^
    - Я спрашиваю КАКАЯ тварь напала на тебя? ^
    - Такая скользкая и мерзкая, она... у нее... - вдруг Стилс
    развернулся от вас и выблевал весь свой джанктауновский завтрак.
    Его рвало минуты три, если не больше. Прочистил все внутренности
    вплоть до прямой кишки. Ты не удивился бы, если увидел в
    блевотине его собственное дерьмо. ^
    - Лучше не говорить с ним на эту тему. Короче, не исключено
    заражение крови или отравление. В его крови я видел какую-то
    субстанцию. Я не стал трогать ее и изучать. Но это могла быть
    опасная штука. ^
    К вашему разговору прислушивается Нуэн, тоже спустившийся к
    месту проишествия. ^
    - Откуда такие широкие познания в медицине? ^
    - Я просто никому не рассказывал о своих увлечениях. У нас же
    есть отличный медик в полиции. Зачем им второй? ^
    - В моем рюкзаке есть носилки, достаньте их, - немного
    требовательным, но слабым голосом говорит Стилс. ^
    Вы открываете его огромный рюкзак, достаете небольшой сверток и
    разбираете его. Постепенно из железных палок, раскладывающихся
    наподобие антенны, возникают удобные носилки среднего размера.
    Вы перекладываете на них Стилса. Потом разводите костер,
    отдыхаете, обедаете и начинаете собираться дальше, когда
    тени исчезли и уступили место тьме. Идти ночью - не такая
    уж и плохая идея. Стилс чувствует себя уже немного лучше.
    ]]
    end,
    obj = {
        obj { nam='', dsc=[[{Идти дальше} ^]],  act=code[[ walk (game_bos_desert6) ]] },

    },
};


game_bos_desert6 = room {
    nam = "Пустошь",
    pic = "gfx/desert/night.jpg",
    dsc = [[
    ...прошло полчаса. На горизонте не осталось ни малейшего намека на солнце.
    Луны сегодня нет. В такой темноте можно и навернуться. ^
    - У кого-нибудь есть осветитель? ^
    - Посмотри в моем рюкзаке. В кармане слева. ^
    Нуэн открывает рюкзак Стилса, достает оттуда небольшую круглую банку. 
    Открывает крышку, вынимает один осветитель и кладет банку обратно. Там ещё
    осталось штук семь этих военных химических фонариков. Нуэн обломил конец
    осветителя и тот зажегся ровным красным светом, разбрызгивая искры.
    Искры некоторое время ещё висели в воздухе, падая на землю, а потом
    быстро гасли.  ^
    В темноте от света начали отблескивать погоны на форме Стилса. На плече
    сбоку была какая-то эмблема - меч, рукоятка которого была в корне синих
    крыльев. Острие меча заканчивалось в шаре с тремя шестеренками, а крылья
    охватывали этот шар. На продолговатых синих погонах виднелись мутные звездочки
    среднего размера. Причем на правом плече было три звездочки, а на левом - две.
    Так как тебе неизвестны ранги Братства, и к тому же количество звездочек
    разное, узнать, кем же был Стилс, так и не удалось. Ничего, вот
    прибудем в Братство, и узнаем.
    ]],
    obj = {
        obj { nam='', dsc=[[{Идти дальше} ^]],  act=code[[ walk (game_bos_desert6_1) ]] },

    },
};


game_bos_desert6_1 = room {
    nam = "Пустошь",
    pic = "gfx/desert/night.jpg",
    dsc = [[
    Вдруг Стилс приподнимается на носилках, и, указывая куда-то в сторону от
    дороги, кричит: ^
    - Уберите это от меня! На помощь! Меня атакуют! Назад! ^
    Нуэн резко поворачивается в ту сторону и протягивает руку с осветителем
    вперед, рассеивая мрак у дороги. Там ничего нет. Маккинли и ты опускаете
    носилки, он зажигает ещё один фонарь и светит им в лицо Стилсу. В белом
    свете фонаря Маккинли он выглядит очень бледным. Ты присматриваешься
    к нему и понимаешь, что фонарь тут не причем. Его лицо покрыто
    испариной. Зрачки расширились вопреки всем законам физиологии. Взгляд
    метается туда-сюда. ^
    - Что ты видел? - успокаивающим голосом говорит Маккинли.  ^
    - Оно... пришло за мной... их тут тысячи... они хотят закончить
    начатое... о господи... спасите меня от них... ^
    - У него бред. Значит эта тварь была ядовитой. Нужно снотворное. У тебя
    есть снотворное или успокоительное? - последняя фраза была адресована Стилсу. ^
    Тот только посмотрел на него своими расширенными то ли от ужаса, то ли
    от болезни глазами и опять что-то залепетал насчет тварей. ^
    Нуэн повернулся к вам, достал что-то из нагрудного кармана и бросил Маккинли.
    Тот не поймал, и несколько минут шарил в темноте, пока не нашел. На упаковке
    было написано "Фэст эслип". Снотворное.  ^
    - Достаточно одной порции. ^
    - Значит влепим три. Держи его.  ^
    Ты крепко обхватил Стилса за плечи. Тот взревел и начал вырываться, крича
    что-то опять про своих тварей. Черт, может мозгов у него немного, но
    силы - предостаточно. Он почти вырвался из твоей хватки. Но Маккинли уже
    зарядил порцию в нидлер и два раза подряд вставил укол Стилсу в ногу.
    Тот ослабил усилия, через несколько секунд перестал сопротивляться,
    а ещё через минуту обмяк и выпал из твоих рук. ^
    - Спи спокойно, дорогой товарищ.
    ]],
    obj = {
        obj { nam='', dsc=[[{Идти дальше} ^]],  act=code[[ walk (game_bos_desert6_2) ]] },

    },
};


game_bos_desert6_2 = room {
    nam = "Пустошь",
    pic = "gfx/desert/night.jpg",
    dsc = [[
    Через несколько минут путешествие возобновилось. Нуэн сменил тебя, и
    теперь ты нес в руках уже померкнувший осветитель. Минут на пятнадцать
    хватит ещё.  ^
    Из темноты выскакивали камни, обломки, пучки засохшей травы, мусор разных
    размеров и материала. Исчезали они так же резко, как и появлялись - свет от
    осветителя хоть и был ярким, но крайне небольшим. Ты подумал, что такой
    огонек ночью в пустыне виден за многие мили. От этих мыслей тебе стало
    немного не по себе, и ты постарался переключиться на что-нибудь другое. ^
    Мысли спутываются в какой-то клубок, ты пытаешься мыслить четко, но сознание
    словно заволакивает пеленой. Ты слышишь голос Стилса, поворачиваешься,
    но носилок сзади нет. Возвращаешься немного назад, но твоих друзей и след
    простыл. Сходишь с дороги и идешь куда-то в сторону. Вдруг перед тобой
    возникает вечерняя сцена со Стилсом. Монстр нападает на него, ты пытаешься
    разглядеть, что же это за тварь, но ее не видно. Зато лицо Стилса видно
    отчетливо - такое же белое и испуганное. Но погоди-ка, это не Стилс, это
    тебя атакует монстр! Ты ползешь от него, ползешь, ползешь, ползешь изо
    всех сил... кажется, уже прошла целая вечность... Протягиваешь руку к
    возникшему из темноты ружью, хватаешь его, как хватает веревку
    утопающий, и чувствуешь сильную резкую прожигающую боль в ладони. ^
    - Возьми ещё один осветитель. ^
    Голос словно выдергивает тебя в реальность.  ^
    - Ты что, заснул что ли? Я говорю возьми другой осветитель, иначе мы
    точно навернемся в темноте. ^
    Ты смотришь в свою руку. Обрубок осветителя торчит в твоем кулаке. На
    тыльной стороне ладони несколько покрасневших пятен. Кажется, ты немного
    вздремнул на ходу.
    ]],
    obj = {
        obj { nam='', dsc=[[{Дальше} ^]],  act=code[[ walk (game_bos_desert7) ]] },
    },
};



game_bos_desert7 = room {
    nam = "Пустошь",
    pic = "gfx/desert/night.jpg",
    dsc = [[
    Встряхнув головой, ты берешь второй осветитель и надламываешь его. Красный
    свет вырывается с верхушки и постепенно сменяется белым. Темнота расступается. ^
    Через час ходьбы ты снова встаешь у носилок и фонарь переходит к Маккинли.
    На горизонте позади вас краешек неба посветлел.  ^
    Невдалеке вы замечаете какое-то темное пятно на фоне серого неба. Подходя
    все ближе и ближе, вы различаете небольшой бункер, обнесенный колючей проволокой.
    Дорога ведет к воротам.
    ]],
    obj = {
        obj { nam='', dsc=[[{Подойти к бункеру} ^]],  act=code[[ walk (game_bos_desert_bunker_entrance) ]] },
    },
};










