-- gfx/steels_punched.jpg
-- gfx/steels_dead.jpg
-- gfx/cops.jpg

game_guns_combat_0 = dlg {
    var {
        hp = 100;
    };
    nam = 'Драка со Стилсом',
    pic = "gfx/steels_punched.jpg",
    entered = [[
    Как только ты видишь, что кулак Нуэна с космической скоростью приближается
    к челюсти Стилса, ты перехватываешь руку... ^
    ...Маккинли, который в свою очередь пытался помешать Нуэну ударить командира. ^
    В результате огромный кулак распсиховавшегося Нуэна достигает пункта назначения. ^
    Раздается глухой удар, после которого Стилс валится наземь, как срубленное
    дерево. Когда его туша падает, земля содрогается, а во все стороны начинают
    распространяться огромные клубы желтоватой пыли. Воодушевленный первым успехом,
    Нуэн вонзает в бок лежащему командиру носок ботинка. Того аж подбрасывает. ^
    Остервеневший Нуэн, не разбирая ничего, обрушивает на беднягу град жестоких
    ударов, от которых тот хрипит и плюется кровью, заливая все вокруг.
    Ты опускаешь глаза и видишь, что кусок кровавой слизи прилип прямо на твои
    новые брюки! Ты их только сегодня первый раз надел в честь собрания!
    Издав утробный рев, ты тоже начинаешь лупить Стилса.
    ]],
    dsc = "",
    phr = {
        { 'Пнуть Стилса в бок', 
            function(s)
                p [[
                Ага! Теперь-то ты поквитаешься с ублюдком за все! С ненавистью ты
                впечатываешь удар в бок, с удовлетворением ощущая, как от твоего
                ботинка у него внутри что-то хрустнуло. ^
                Стилс с ненавистью вскрикивает, стараясь подняться. Как бы не так...
                ]]
                here():damage(20)
            end
        },
        { 'Ударить в живот', 
            function(s)
                p [[
                - Получай! - выдыхаешь ты, влепив ему в живот. Удар пришелся прямо
                на вдох, так что у тебя ощущение, будто ты пнул кусок теста. ^
                Стилс сгибается в комок и извергает свой завтрак вперемешку
                с кровью. Эй, да он тебе на штаны нагадил! ^
                ]]
                here():damage(40)
            end
        },
        { 'Прыгнуть на Стилса',
            function(s)
                p [[
                Решив привнести что-то новенькое в драку, ты группируешься в комок,
                выставив вперед локти и колени и прыгаешь на Стилса, стремясь
                задавить его своим весом.  ^
                К несчастью, в этот момент Нуэн пытается пнуть того в голову.
                Ты в полете натыкаешься на его удар. Тебя отбрасывает в сторону. ^
                Ты понимаешь, держась за бок, насколько не повезло Стилсу.
                Что бы ему еще сделать?
                ]]
                change_life(-5)
                here():damage(40)
            end
        },
        { 'Двинуть гаду в челюсть',
            function(s)
                p [[
                Стилс слегка приподнимается, глухо рыча и капая кровью на землю...
                Ты с воплем пинаешь его в челюсть.  ^
                Он уворачивается, хватает тебя за ботинок и резко дергает. Ты
                теряешь равновесие и падаешь. Боковым зрением ты замечаешь, что
                Нуэн снова опрокидывает Стилса наземь, после чего пинает в живот. ^
                Может и тебе попробовать? Отомстить-то за свое падение нужно,
                так ведь?
                ]]
                change_life(-5)
                here():damage(20)
            end
        },
        { 'Вмазать в нос',
            function(s)
                p [[
                Идея-то весьма привлекательная, и ты бы с радостью это проделал,
                но наклоняться, чтобы стукнуть валяющегося Стилса, опасно, если
                взять во внимание скачущего Нуэна. Он вполне может в таком
                состоянии и тебя заодно отпинать.  ^
                Так что ты не без сожаления оставляешь эту затею. Но чего жалеть?
                У тебя же ноги есть! Да и вообще... Лежачего не бьют. Зато пинают,
                думаешь ты, выбирая место, в которое надо пнуть оного лежачего.
                ]]
                here():damage(20)
            end
        },
        { tag = 'final_strike', false, 'Пнуть в голову',
            function(s)
                p [[
                Вспомнив детство, игру в футбол, ты с пыра пинаешь Стилса по
                голове, вложив в этот удар всю силу. От этого удара его голова
                отлетает как самый настоящий футбольный мяч. К несчастью, шея
                удерживает ее на месте, иначе бы ты забил стопудовый гол! Даже
                сквозь толстый ботинок ты ощущаешь боль в пальцах ноги. ]];
                here():damage(80)
            end
        },
    },
    
    damage = function(s,dmg)
        here().hp = here().hp - dmg;
        if here().hp <= 60 then
            pon('final_strike')
        end
        if here().hp < 1 then
            change_karma(-70) 
            walk('game_guns_combat_steels_dead')
        end
    end;
    
};

global {
    check_steels = 0,
}


game_guns_combat_steels_dead = room {
    nam = "Улица Джанктауна",
    pic = "gfx/steels_dead.jpg",
    dsc = [[
    Ты решаешь повторить свой коронный удар, как вдруг тебя отталкивает
    настоящий смерч по имени Маккинли. От этого сильного толчка ты с размаху
    садишься на землю. Краем глаза ты замечаешь, как рядом плюхается Нуэн. ^
    - Сдурел?! - интересуешься ты у Маккинли. ^
    Плюнув напоследок в тело Стилса, Нуэн достает пачку сигарет и протягивает
    тебе одну. Ты молча берешь и закуриваешь. Маккинли суетится вокруг
    бывшего командира, вокруг которого медленно растекается лужа крови. ^
    - Даааа-а-а-а, - протягиваешь ты, решив нарушить тягостное молчание,
    - теперь наша экспедиция в Братство Стали откладывается на неопределенный
    срок. Пока его еще доктор Морбид на ноги поставит... ^
    Маккинли резко разворачивается. ^
    - Какой доктор? Вы что? Ему сейчас плотник нужен, а не доктор! Вы ж
    его насмерть зап@#$или, мудаки! ^
    - Да ну! ^
    - Вот тебе и "да ну!" Проверь, если хочешь...
    ]],
    obj = {
        obj { nam='', dsc=[[{Поднять Стилсу руку} ^]],     act=code[[ check_steels = 1 ; walk (game_guns_combat_steels_check) ]] },
        obj { nam='', dsc=[[{Поднять Стилсу ногу} ^]],     act=code[[ check_steels = 2 ; walk (game_guns_combat_steels_check) ]] },
        obj { nam='', dsc=[[{Приподнять Стилсу веко} ^]],  act=code[[ check_steels = 3 ; walk (game_guns_combat_steels_check) ]] },
        obj { nam='', dsc=[[{Проверить пульс на руке} ^]], act=code[[ check_steels = 4 ; walk (game_guns_combat_steels_check) ]] },
        obj { nam='', dsc=[[{Проверить пульс на шее} ^]],  act=code[[ check_steels = 5 ; walk (game_guns_combat_steels_check) ]] },
    },    
};

game_guns_combat_steels_check = room {
    nam = "Улица Джанктауна",
    pic = "gfx/steels_dead.jpg",
    dsc = function(s)
    p [[
    Ты знаешь много способов узнать, мертв человек, или нет.
    В конце концов, ты ведь ухлестывал за медсестрой! ^
    ]]
    if check_steels == 1 then
    p [[
    Один из них - приподнять человеку руку. По тому, как она
    упадет обратно, можно судить о состоянии организма. Только
    со Стилсом этот номер не проходит. Когда ты пытаешься
    приподнять его руку, на ней обозначается несколько
    новых суставов, подаренных Нуэном.  ^
    Дааа... Видимо Стилсу пришел каюк. ^
    ]]
    elseif check_steels == 2 then
    p [[
    Один из них - приподнять человеку ногу. По тому, как она
    упадет обратно, можно судить о состоянии организма.
    Только со Стилсом этот номер не проходит. ^
    Когда ты пытаешься приподнять его ногу, на ней обозначается
    несколько новых суставов, подаренных Нуэном.
    Дааа... Видимо Стилсу пришел каюк. ^
    ]]
    elseif check_steels == 3 then
    p [[
    Один из них - приподнять человеку веко. По состоянию зрачка
    можно судить о состоянии человека. ^
    Ты с трудом находишь на бывшем лице Стилса веко, отлепляешь
    его от уха и смотришь на целиком красное глазное яблоко.
    Дааааа... Кажется, Стилсу пришел кирдык. ^
    ]]
    elseif check_steels == 4 then
    p [[
    Один из них - проверить пульс на руке. ^
    Бесполезно. Пульса нет. Доигрались, детки. Кончился Стилс. ^
    ]]
    elseif check_steels == 5 then
    p [[
    Ты кладешь ладонь на шею Стилса, после чего понимаешь: пульс
    искать бесполезно. В шее появился новый сустав. Причем
    виновата не радиация, а твой лихой пинок.  ^
    Ты стараешься отыскать в себе угрызения совести, но тщетно.
    Видимо, ты променял ее на печенюшку в детском саду.
    А Стилс умер. ^
    ]]
    end
    p [[
    - Ладно! Кончай психовать! Пошли к Киллиану, что уж тут
    делать? - уныло предлагаешь ты. ^
    Вы медленно идете обратно в зал собрания.
    ]]
    end,
    obj = {
        obj { nam='', dsc=[[{Идти к Киллиану} ^]], act=code[[ walk (game_guns_combat_killian) ]] },
    }
};


game_guns_combat_killian = room {
    nam = "Здание полиции",
    pic = "gfx/cops.jpg",
    dsc = [[
    Все в зале уже разошлись. Кроме Киллиана и Салли, о чем-то ему убежденно говорившей.
    Киллиан кивал, создавалось такое впечатление, что он слегка чем-то расстроен.
    Что, в принципе, не удивительно, принимая во внимание угрозу нашествия мутантов.
    Ты вежливо кашляешь, чтобы привлечь к себе внимание Киллиана. ^
    - Да-да, ребята... Еще не ушли? Требуется какое-то снаряжение? Один момент,
    сейчас пройдем в мой магазин... ^
    Тут он переводит взгляд на вашу группу. Почувствовав неладное, оборачивается
    и Салли. Через мгновение раздается два возгласа. Один из них непечатный,
    слава Богу, что пронзительное "Ой!" Салли заглушило Киллиановскую реплику.
    Вдоволь полюбовавшись на нашу группу, Киллиан вздохнул. Да и было из-за чего. ^
    Вы выглядели далеко не лучшим образом. Ты, потный, грязный, в одежде,
    забрызганной кровью... Нуэн вообще, с отрешенным видом рассматривает свои
    содранные костяшки пальцев, расплющенные о голову Стилса. Маккинли пытается
    виновато улыбаться и разводить руками. ^
    На лице Салли ехидная усмешка. ^
    - Что, супермутанты напали раньше, чем вы вышли за город? ^
    Никто не собирается отвечать. Похоже, теперь ты - командир и обязан держать
    речь. Ну что же...
    ]],
    obj = {
        obj { nam='', dsc=[[{"Я конечно дико прошу прощения, но этот парень из Братства, Стилс...
            Проявил себя слишком ревностным командиром. Он потребовал от нас слишком много...
            Ну, Нуэн и не выдержал..."} ^]],
            act=code[[ walk (game_guns_go2jail) ]] },
        obj { nam='', dsc=[[{"Ну... Стилс по дороге шел, шел... И тут как провалится куда-то...
            Мы давай его вытаскивать, а там колья, вот мы все кровью и перемазались..."} ^]],
            act=code[[ change_karma(-5) ; walk (game_guns_go2jail) ]] },
        obj { nam='', dsc=[[{"Да! Салли, ты не знаешь, насколько ты права! Как только мы вышли
            за ворота, на нас напало трое супермутантов! Мы храбро сражались, но особенно храбрым
            был Стилс! К сожалению, его прикончил один из них - темно-зеленый и с огромной головой!"} ^]],
            act=code[[ change_karma(-10) ; walk (game_guns_go2jail) ]] },
    }    
};
