game_start = room {
    nam = "Джанктаун",
    pic = "gfx/junktown_intro.jpg",
    dsc = [[
    Ты - полицейский в Джанктауне, Самом Веселом Месте по эту сторону от
    побережья.  ^
    Твоя работа уже несколько лет как перестала быть работой, потому что
    Гизмо прокололся и его убили, когда пришли к нему за арестом,
    рейдеров уничтожили какие-то вооруженные люди, а мелкие воришки
    не заходили в этот город, опасаясь праведного гнева Киллиана, мэра
    и торговца в одном лице. ^
    Твоя пушка порядком проржавела. Конечно, ты не забывал ее чистить,
    но в ней слишком давно не взрывался порох и пуля не летела навстречу
    чьей-нибудь морде.  ^
    В этом месте слишком давно не происходило что-нибудь интересное, а
    с исчезновением Гизмо и преступности, слово "приключения" навсегда
    покинуло высокие железные стены города. ^
    Сегодня Ларс, начальник полиции в Джанктауне, сказал, чтобы вы все
    подходили к зданию полиции на очень важное совещание. Ну хорошо,
    пойдем, посмотрим, что там...
    ]],
    obj = {
        obj { nam='', dsc = [[{Дальше...} ^]], act = code [[ walk (loc_junktown_street) ]] },
    },
    enter = function(s)
        -- take(player_status)
    end,
};


loc_junktown_street = room {
    nam = "Улица Джанктауна",
    pic = "gfx/junktown_street.jpg",
    dsc = function (s)
        pn ""
        pn "Вы стоите на улице посреди Джанктауна. Куда бы направиться?"
        if visited(s) > 1 then
            p "Все спешат на собрание. Тебе тоже было бы неплохо зайти туда. А то ещё лишат самой халявной работы в округе..."
        end
    end,
    way = {
        'loc_junktown_skumpit',
        'loc_junktown_shop',
    },
};

loc_junktown_shop = room {
    nam = "Магазин Киллиана",
    pic = "gfx/junktown_shop.jpg",
    dsc = [[
    ^
    Магазин Киллиана. Но его самого нет на месте. Видимо,
    он в полицейском участке, куда звали и тебя...
    ]],
    way = {
        'loc_junktown_street',
        'loc_junktown_morbid',
        'loc_junktown_gate',
    },
};

loc_junktown_gate = room {
    nam = "Ворота",
    pic = "gfx/junktown_gate.jpg",
    dsc = [[
    ^
    Ворота Джанктауна. Они закрыты, поблизости никого не видно.
    Ну, раз даже охрана покинула свой пост, похоже, что
    собрание действительно важное.
    ]],
    way = {
        'loc_junktown_police',
        'loc_junktown_morbid',        
    },
};


loc_junktown_morbid = room {
    nam = "Клиника Морбида",
    pic = "gfx/junktown_morbid.jpg",
    dsc = [[
    ^
    Клиника доктора Морбида. Почему-то тебе совсем не хочется
    туда заходить. На собрание, что ли, сходить?
    ]],
    way = {
        'loc_junktown_gate',
        'loc_junktown_shop',
    },
};


loc_junktown_skumpit = room {
    nam = [[Бар "Скам Пит"]],
    pic = "gfx/junktown_skumpit.jpg",
    dsc = function (s)
        pn ""
        if visited(s) > 1 then
            p [[Бар почти пустой. Видимо, все уже на собрании. Пора поспешить туда, чтобы не опоздать.]]
        else
            p [[
            Ты заходишь в Скам Пит. Народу совсем немного, все ушли на
            собрание. Ты быстренько покупаешь бутылку колы и
            выходишь с ней на улицу.  ^
            Один полицейский, увидев тебя, кричит: ^
            - Эй, Ларс приказал всем быть на собрании в полиции, не опаздывай!
            ]]
        end
    end,
    way = {
        'loc_junktown_street',
    },
};


loc_junktown_police = room {
    nam = "Здание полиции",
    pic = "gfx/junktown_police.jpg",
    dsc = [[
    ^
    Здание полиции Джанктауна. Зайти, что ли?
    ]],
    obj = {
        obj { nam='', dsc=[[{Войти внутрь} ^]], act=code[[ walk (game_police) ]], },
    },
    way = {
        'loc_junktown_shop',
        'loc_junktown_gate',
    },
};
